Help Front Page

Welcome to Graphical Analysis!

Graphical Analysis is a user-friendly program that allows you to easily graph and analyze data. Data may be manually entered from the keyboard, pasted from the clipboard, or retrieved from a file saved on disk. Graphical Analysis is also a document creator, with the ability to include several pages in one document. You can import data from Texas Instruments TI-73, TI-82, TI-83, TI-83 Plus, TI-85, TI-86, TI-89, TI-92 and TI-92 Plus graphing calculators and LabPro® or Calculator-Based LaboratoryTM 2 (CBL 2TM) interfaces, using a TI-GRAPH LINKTM cable.

Data can be displayed in spreadsheet form and graphically. You have several options on the scaling and style of graphs. Powerful data analysis tools are provided, including curve fits, derivatives, tangent lines, integrals, smoothing, FFTs, and histograms. Graphical Analysis allows you to create new columns that are based on other data, much as you might do with a spreadsheet program. You can easily copy your data and graph to a word processing or spreadsheet program via the clipboard. Several sample files are included for your experimentation. Choose Open from the File menu to access them.

To get help on a topic, click on the highlighted words below.
Getting Started | An introduction to Graphical Analysis
How To | Step-by-step help for many common tasks
Menus | Descriptions of each menu and its items
Objects | Descriptions of each type of object
Screen Hotspots | Clickable screen locations for quick adjustments

Note: Tutorials covering popular commands are provided. Choose Open from the File Menu to access them.

You can also get help while working on the Graphical Analysis screen. To obtain help, choose Graphical Analysis Help from the Help menu. You can also double-click on an object and select Help from the dialog box.


 Using the Help Guide

This help guide is divided into five main sections:

Getting Started
How To
Menu Items
Objects
Screen Hotspots

  • The Getting Started section includes Quick Set Up for installing and running the program, and an introduction to the Graphical Analysis Screen.
  • How To provides step-by-step instructions for many common tasks.
  • Menu Items offers descriptions of each menu and its items.
  • Objects provides descriptions of each type of object found in Graphical Analysis.
  • Screen Hotspots are clickable screen locations for quick adjustments.

If you have a particular question about program operations, Graphical Analysis has extensive built-in help describing every menu item, every dialog box, and every type of object. To use the built-in help, double-click on an area of interest and select Help from the dialog box. The How To section of this manual contains answers to specific questions.

See Also:

Quick Set Up


 Getting Started

Information and step-by-step instructions for getting started can be found by clicking on the following topics:

Quick Set Up/Fast Start

The Graphical Analysis Screen

Using the Help Guide

See Also:

How To


Quick Setup

 Quick Set Up/Fast Start

To get Graphical Analysis installed and started, follow these simple steps:

(If you already have Graphical Analysis loaded on your computer, skip ahead to 3. Fast Start).

1. System Requirements

2. Loading Graphical Analysis onto Your Hard Drive

3. Fast Start

See Also:

How To


 Graphical Analysis Screen

The Graphical Analysis screen is divided into several parts, each of which contain different tools and information.

You can get help on any object in the screen by double-clicking on the object and selecting Help from the dialog box.

Graphical Analysis Start Up Screen (this can be customized)

The Menu Bar: Like most applications, Graphical Analysis has a menu bar across the top of the main window. Use the menu bar to access all of the software's features.

Tip: You can access the menus without using the mouse by pressing the <Alt> key (Windows only) and the underlined letter representing the option or command from the menu title itself. This may be faster than using the mouse, especially for features you use often.

You can access some popular menu options by pressing the <Ctrl> key (Windows) or the [image] key (Mac) and the corresponding letter for that command.

The Toolbar: The toolbar appears directly below the menu bar. It contains buttons for the most commonly used features of Graphical Analysis. All of the features available from the toolbar are also available by using the menus. As you move the pointer across a button, you are given a short description of each button.

Object: An Object is a graph, table, etc. which exists on the page and which you can create, modify, and delete. You can create new objects using the commands in the Insert menu and modify them using the commands in the Options menu.

The Status Bar: A status bar appears along the bottom of the graph object. When the mouse cursor is moved across the graph, the current coordinates are shown; if the mouse is dragged across the graph, the interval in each direction is shown.

The Cursors:

This symbol appears when the cursor is over a cell in the Data Table.
The cursor takes on this appearance when it is over the left and right limits on the X-axis or the top and bottom limits of the Y-axis. Once clicked, a box will appear allowing you to change the value. The cursor assumes this shape when a graph title is edited.
You can manually rescale or "stretch" the axis by moving the cursor outside the X or Y-axis line.
When the cursor is over the graph, you can hold down the mouse button and select a region. This is particularly useful for analyzing regions of a graph.
Move the cursor over the arrows to either side of the x-axis or y-axis labels and click the mouse button to scroll along those axes.
When an object is selected, its border becomes visible along with eight resizing handles (small black squares). Clicking and dragging a resize handle will resize the object in the appropriate direction.
Move the cursor over the edge of the selected object until the cursor turns into a hand, and...
...hold down the mouse button while grabbing and moving the object.


How To Index

 How To

Information and step-by-step instructions for the most important Graphical Analysis operations can be found by clicking on the following topics.

Tutorials covering additional commands are also provided. Choose Open from the File Menu to access them.

The Basics

    · Entering and Editing Data
    · Performing Calculations With the Data
    · Changing Which Columns are Displayed on a Graph
    · Applying Mathematical Models
Importing Data | Managing Data
  • Importing Data from a TI Graphing Calculator
  • Importing Data from LabPro/CBL 2 via Graph Link
  • Importing Data from LabPro via Serial/ USB Cable
  • Importing Data from Palm Handheld
  • Importing Text
  • Importing Data from Other Applications and old Versions of Graphical Analysis
  • Selecting and Editing Cells
  • Protecting Data
  • Clearing Data
  • Sorting Data
  • Generating Data
  • Data Browser
Managing Columns | Print, Save, and Copy Data
  • Creating and Editing Columns
  • Adding Error Bars
  • Adding and Managing Multiple Data Sets
  • Deleting Data
  • Printing Graphs and Data
  • Copying Data to Other Applications
  • Copying Graph Images to Other Applications
Modifying Objects | Analyze
  • Selecting Objects
  • Moving Objects
  • Managing Objects
  • Choosing Graph Options
  • Managing Helper Objects
  • Examining Points on a Graph
  • Drawing a Tangent Line at a Data Point
  • Linear Regression
  • Curve Fitting
  • Integrating a Set of Data
Miscellaneous
  • Changing and/or Customizing the Startup Page
  • Changing Other Preferences
  • Getting Help in Graphical Analysis
  • Tips


 Entering and Editing Data

There are a number of ways to enter data into Graphical Analysis: by typing data into the data table, by opening data files created by other Vernier Software programs, by cutting, copying and pasting, or by importing text or data from a TI graphing calculator, LabPro/CBL interfaces, or Palm Handhelds.

  • You can type data directly into the data table from the keyboard. To type data into a cell, click on the cell and type the number. You can use either the mouse or keyboard to move and edit within a table. Press the Enter/Return key after entering the value to move to the cell below or to the right as specified in Preferences. If you make a mistake within a column, use the up and down cursor keys to move within the column. Use the left and right cursor keys or mouse to move around within the cell and the Tab key to move between columns. See Selecting and Editing Cells.
  • You can also import data from other applications and old versions of Graphical Analysis.
  • Text or text files (such as those created in Excel, word processors, etc.) can be imported into Graphical Analysis.
  • You can import data from TI graphing calculators, LabPro, or CBL 2 devices using the TI-Graph Link cable. Do so by choosing Import From... TI Device from the File Menu or clicking the [image] button.
  • Data collected and stored in the LabPro interface can be imported using the serial or USB cable. Do so by choosing Import From... LabPro from the File Menu.
  • Data collected with a Palm Handheld running the Data Pro program can be imported using the HotSync button or by choosing Import From... Palm Data Pro from the File Menu.
  • Data copied onto the clipboard can be pasted into a table.


 Performing Calculations with Data

One of the most useful features of Graphical Analysis is its capacity to graph modified data. This is extremely helpful in looking for the relationship between variables.

You can create two types of columns: manually entered and calculated. To create a manually entered column choose New Manual Column from the Data menu.

Enter the name and units for the new column. When finished, click OK and the new column will be added to the table.

To create a new calculated column, choose New Calculated Column from the Data menu.

Enter the Name and Units for the new column. Under the Columns Formula box is a menu listing all existing columns that you can use in defining your new column. Here you can choose functions such as derivative, integral, smoothing, etc. Use the Column Names and Constants pull-down menus when defining the New Column. You can also type the names and functions in the box. If you type in the name of a column in the equation field, you must enclose it in double quotes.

See Also:

How To/Changing which Columns are Displayed on a Graph


 Changing which Columns are Displayed on a Graph

When a new file is opened, the Y-axis is set to display the data set labeled “Y”. You may want to customize the window by changing the columns that are displayed. To do so, perform the following steps:

1. Position the mouse over the Y-axis label and click. A truncated version of the Axes Options tab of the Graph Options window will appear.

Note: The Axes Options tab can also be accessed by double-clicking on a Graph object or choosing Graph Options from the Options Menu.

2. Select the checkboxes that correspond to the columns you want displayed. If you have multiple data sets, a checkbox for each column of each data set will be available.

3. Choose from the following scaling options: Autoscale, Autoscale from zero, or Manual.

Another way to select what is graphed is by clicking on a column heading from a table or Data Browser and dragging it to the appropriate axis of the graph. The data will be displayed.

You can choose which column is plotted along the X-axis by clicking on the axis label and using Axes Options tab.

Note: When you are tracing lines on a graph, each Y column is really a pair of columns: an X and a Y. If you want to trace multiple Y columns on a single graph using different X columns, you can -- but the X columns must all have the same name and same units and come from different Data Sets. For example, if you had the following Data Sets and columns:

Data Set 1
X
Y1
Data Set 2
X
Y2
Data Set 3
X3
Y3

You could trace Y1 and Y2 on a graph with X as the X axis column. Y1 would use the X column in Data Set 1 while Y2 used the X column in Data Set 2. You would not be able to graph Y3.

You can always graph any column against an X column which is unique. In the example above, if you chose X3 to be the X axis for your graph, you could trace any of the Y columns (since X3 is unique).


 Applying Mathematical Models

A feature of Graphical Analysis is its ability to apply mathematical models to data. Within the program you have two options for curve fitting: automatic curve fitting and manual curve fitting.


 Importing Data from a TI Graphing Calculator

You can use the Graphical Analysis program to transfer the data on the calculator to your computer for analysis or printing. To do this, you need a TI-GRAPH LINK cable, which is part of the TI-GRAPH LINK package and is sold by Vernier Software & Technology and other Texas Instruments dealers. This cable connects the TI graphing calculator to the serial or USB port of your computer.

Importing procedures for TI-73, TI-83, TI-83 Plus, TI-83 Plus Silver Edition, TI-86, TI-89, TI-92, TI-92 Plus:

1. Connect the TI-GRAPH LINK cable to a free serial or USB port of the computer and to the TI calculator (see below if you are using the TI-82 or TI-85 models).

2. Turn on the calculator.

3. With Graphical Analysis running, pull down the File menu and choose Import From -> TI Device... or click the [image] button from the toolbar. The dialog box to the right should appear.

4. From the pull-down menu, choose USB port or serial port (COM 1-4 on a PC, modem or printer on a Macintosh) to which the TI-GRAPH LINK cable is connected.

5. If you are using a PC serial cable, identify whether it is a gray or black cable.

6. Click on the Scan for Calculator button. The calculator model you are using should now be identified, and you should see a message, "Ready to Import."

7. Click on the data list(s) that you want to import. (To select more than one list on a Macintosh, hold down the [image] key while you click).

8. Click OK to send the data lists to the computer. The data will appear in columns in the data table. They will be labeled with the simple list names from the calculator. If you want to re-name them or add units, double-click on the column heading in the data table and enter new labels and units.

Click the Refresh Catalog button if you have connected a new interface or calculator to the computer.

Importing procedures for the TI-82 and TI-85:

1. Pull down the File menu and choose Import From -> TI Device... or click the [image] button from the toolbar.
2. Scan for calculator (if needed).
3. Note message "Waiting for you to transmit data from your calculator...".
4. You can then choose which lists to transmit to the computer. Here's how:

TI-82:
On the TI calculator, press [image] [LINK], then select 2:SelectAll-... from the SEND menu.

Use [image] to locate the lists on the SELECT menu. Position the arrow in front of a list you want to send to Graphical Analysis and press [image] to select it. More than one list may be selected in this manner. A black square will appear beside each list that will be sent. To deselect, press [image]. The black square will disappear.
Press [image], then select 1:Transmit. The lists will appear in the import window. They will be labeled with simple list names from the calculator.
TI-85:
On the TI calculator, press [image] [LINK], then choose < SEND >. Press [image], then choose < LIST >.
Use [image] to locate a list you want to send and choose < SELCT > to select it. More than one list may be selected in this manner. A black square will appear beside each list that will be sent. To deselect, choose < SELCT >. The black square will disappear.

Choose < XMIT > to transmit the list(s) to the computer. The lists will appear in the import window. They will be labeled with simple list names from the calculator.

5. Click on the data list(s) that you want to import. (To select more than one list on a Macintosh, hold down the [image] key while you click).

6. Click OK to send the data lists to the computer. The data will appear in columns in the data table. They will be labeled with the simple list names from the calculator. If you want to re-name them or add units, double-click on the column heading in the data table and enter new labels and units.

Port/Cable: It is important that you select the correct port and type of cable you are using so Graphical Analysis can successfully communicate with the calculator. If the TI-GRAPH LINK cable is connected to a different serial or USB port, you can choose the port from the pull-down menu.

Status: The calculator model or interface will be detected automatically. Click the Refresh Catalog button if a new calculator has been connected.

Choose Lists to Import: The calculator's catalog will be listed. Highlight the list(s) you wish to import into the current page and click OK.

Troubleshooting Tips:

  • Make certain that the cable ends are firmly attached to the computer and calculator.
  • Make sure the calculator is turned on and on the home screen.
  • If you are using a serial port, make sure that the port is working and not tied up by another application (e.g. TI GRAPH LINK, Palm Pilot).

See Also:

How To/Importing Data from LabPro/CBL 2 (using TI-Graph Link cable)

How To/Importing Data from LabPro (using serial or USB cable)

How To/Import Text

How To/Importing Data from Other Applications and old Versions of Graphical Analysis


Import From LabPro/CBL

 Import from LabPro/CBL with a TI-Graph Link Cable

This menu item is used to retrieve the data from LabPro, CBL 2, or original CBL data collection interfaces. If you have one of those interfaces attached to the computer (via a TI-GRAPH LINK cable) you can transfer data lists directly from the interface. Those data lists will be from the most recent data collection run. The data will be added to a data column, graphed on the screen, and ready for further analysis. Saved (or archived) experiments in LabPro can also be imported.

Note: This function is useful for interfaces which have been used for remote data collection. Graphical Analysis cannot be used to initiate data collection.

The procedure for importing is:

1. Connect the TI-GRAPH LINK cable to a free serial or USB port of the computer and to the LabPro, CBL 2, or original CBL.

2. Make certain that the LabPro, CBL 2, or original CBL has power.

3. With Graphical Analysis running, pull down the File menu and choose Import From -> TI Device... or click the [image] button from the toolbar. This dialog box should appear.

If you want to import saved experiments, check the box next to Scan for Saved Experiments to get a listing of archived experiments in LabPro.

4. Graphical Analysis will identify your interface and display the data within.

5. Highlight the lists and/or saved experiments you want to import.

6. Click OK. The lists or saved experiments will be assigned to a Data Table.

Click the Refresh Catalog button if you have connected a new interface or calculator to the computer.

Port/Cable: It is important to correctly identify the port and type of cable being used so that Graphical Analysis can successfully communicate with the interface. If the TI-GRAPH LINK cable is connected to a different serial or USB port, you can choose the port from the pull-down menu.

Status: The interface will be detected automatically. Click the Refresh Catalog button if a new calculator has been connected.

Choose Lists to Import: The LabPro, CBL 2, or original CBL's catalog will be listed. Highlight the list(s) you wish to import into the current page and click OK.

Troubleshooting Tips:

  • Make certain that the cable ends are firmly attached to the computer and interface.
  • The interface needs power (batteries or AC adapter).
  • If you are using a serial port, make sure that the port is working and not tied up by another application (e.g. TI-GRAPH LINK, Palm Pilot).
Note: Choosing Import will terminate the ongoing LabPro/CBL data collection

See Also:

How To/Import from LabPro (using serial or USB cable)

How To/Import from TI graphing calculator

How To/Import Text

How To/Importing Data from Other Applications and old Versions of Graphical Analysis


 Import from Palm Data Pro

Use this command to receive data stored in a Palm Handheld. A HotSync cradle and a free serial or USB port on your computer is required.

Detailed instructions for importing data from a Palm Handheld


 Text

A text object is a small text editor. You can use it to record notes for each file. If you are a teacher, you can use the text object for writing instructions for your students.

You can use all the usual editing commands found in the Edit Menu, including cutting and copying to the clipboard. You can also use the right mouse button (Windows) or ctrl-click (Mac) to quickly access editing commands.

See Also:

Text Options

New Text


How to Import Data from a Palm

 How To Import Data from a Palm Handheld

You can use the Graphical Analysis program to transfer the data on the Palm Handheld running Data Pro to your computer for analysis or printing.

Here are two ways to import data from a Palm Handheld.

1. Direct HotSync

a. Launch Graphical Analysis if it is not already running.

b. Connect your handheld to the HotSync cradle/cable.

c. Press the HotSync button [image] TM on the cradle/cable.

d. You should get a message on your computer screen indicating that your Palm Handheld and computer are communicating.

d. The data will be imported into the data table object and displayed graphically.

2. Retreive Data from previous HotSync

a. Select Import From-> Palm Data Pro... from the File Menu.

b. The data will be imported into the data table object and displayed graphically.

See Also:

How To/Importing Data from a TI Calculator

How To/Importing Data from a LabPro/CBL (using TI-Graph Link cable)

How To/Importing Data from a LabPro (using serial or USB cable)

Import Text


Importing From Other Applications

 Importing Data From Other Applications and Old Versions of Graphical Analysis

You can import data created on other applications as well as older versions of Graphical Analysis. Here's how:

  • To import from Logger Pro:
Run Logger Pro and use File-Export to save your data as text (.txt).
In Graphical Analysis, import the data by choosing Import From...Text File from the File menu and select the file with the .txt extention.

  • To import from Older Versions of Graphical Analysis:
Mac |
 | 1. In the older version, save the data you want by choosing "Export as Text . . ." from the File menu (this will be a *.text file type).
 | 2. In Graphical Analysis 3, import the data by choosing "Import from . . . Text file" from the File menu.
Windows |
 | 1. In the older version, save the data as you normally would (this will be a *.dat file type).
 | 2. In Graphical Analysis 3, import the data by choosing "Import from . . . Text file" from the File menu.
note: | You can also import files from the old version of Graphical Analysis for Windows by choosing Open. You will
 | need to scroll under Files of Type and choose All Files (*.*) to see the .dat file type. You will be given a warning of you choose to open it. Click OK, and the data will be sucessfully imported.
  • To import from Excel:
Run Excel and load or create your spreadsheet. Go to File Save As and choose the option Text(tab delimited) (*.txt) or CSV (Comma Delimited) (*.csv).
In Graphical Analysis, import the data by choosing Import From...Text File from the File menu and select the file with the .txt or .csv extentions.
  • To import from a word processor:
Type in rows of data separating each data point by a tab. Save this as text (.txt).
In Graphical Analysis, import the data by choosing Import From...Text File from the File menu and select the file with the .txt extention.

    See Also

    Importing Data From Custom Applications

    How To/Copying Data to Other Applications

    How To/Importing Data from TI graphing calculators

    How To/Importing Data from LabPro/CBL

    How To/Importing Text


 Creating and Editing Columns

You can create a new column that is manually entered or based on calculations. The new column can calculate important results from other data in Graphical Analysis. For example, if you have current and voltage data, you can create a new column to calculate current times voltage, or power.

Creating a new column

1. Select New Manual Column or New Calculated Column from the Data menu, or click the corresponding buttons in the Data Browser.

2. Name the new column by editing the text in Name and Short Name text boxes.

4. Enter units in the Unit box. Choose a symbol, if needed, from the pull-down menu (Windows only. On Mac, use the Option key corresponding keystrokes for symbols).

5. If you are creating a new calculated column, enter your formula in the Equation text box. The definition can contain numbers, calculator functions (sin, sqrt, etc.), other columns, or functions such as smoothAve or derivative. You can either type the formula or select item(s) from the list of functions below to paste them in the definition box. Access the names of the other columns by scrolling down and choosing from the Variables (columns) menu. Access the additional constants by scrolling down and choosing from the Constants menu.

You can generate numbers for the manual column by checking the box next to Generate Column.

6. You can customize the column colors, assign point protectors, etc. from the Options tab, and assign the new column to a data set from the Data Sets tab.

7. Click the OK button when the information is complete.

Editing the properties of an existing column

  • Changing options for a single column

    • You can change options for a single column a few different ways. Any of these four will bring up the Column Options dialog box.

    • Right click in a table (Windows) or ctrl-click (Macintosh), select Column Options then choose the column you want to change. Here, the column's data set name will appear before the column's name
    • Double click on a column's name in a table
    • Choose Column Options from the Data Menu
    • Double-click on a column in the Data Browser

  • Changing options for multiple columns

    • You can change options for multiple columns as long as they share the same name.

    1. In the Data Menu choose Column Options

    2. Next, pick the column name you wish to make changes to.

    Any changes you make will be made to ALL columns with the same name.

    See also:
    Adding and Managing Multiple Data Sets


 Error Bars

Any column traced on a graph can display error bars in either the X or Y directions at each point. To display error in the X direction, invoke the Options dialog for the X column. For the Y direction, invoke the Y Column Options Dialog.

To invoke the Column Options dialog, double-click the column name in the table, or choose Column Options from the Data menu, then choose the Options tab. Enable the error bar calculations and then choose how you want the error calculated. For each point, you can choose an error constant or you can get the error values from another column. This error number can then either be interpreted as a percentage of the base value, or as a fixed value. To plot the error bars, double-click on the graph or choose Graph Options from the Options menu and check the error bar boxes.

For example, suppose you had two columns, X and Y, both with values from 1 to 10. If you chose Column Options for Y, set the error constant to 10, and chose Percentage, the error values would be 0.1, 0.2, ..., 1.0.


 Adding and Managing Multiple Data Sets

You can store multiple data sets in the same file allowing you to compare different data sets.

1. Either select New Data Set from the Data Menu or click the corresponding button [image] on the Data Browser.

2. Load or import data into the data table. The data you enter will be stored in the new Data Set.

3. Choose Data Set Options from the Data menu or double-click the data set name in the data table to change the name or add comments.

4. Click on the y-axis and check the columns from either data set that you want graphed.

Deleting a Data Set

1. Select Delete Data Set or Delete Column... from the Data menu or call up the Data Browser.

2. Choose a data set from the list, or highlight the data set in the Data Browser and click the trash can.

See Also:
Creating and Editing Columns


Deleting a Data Set or Column

 Deleting Data

There are several ways to delete data:

1. Select the data to be deleted, and select Delete Data Set or Delete Column from the Data menu.

or

2. Call up the Data Browser, highlight a column or data set from the list and click the trash can.

or

3. Click a column header in a table or select all the rows of a column and then choose Edit->Delete (or press the delete key). The whole column will be deleted (not just the cell values).

This action can be undone by selecting Undo from the Edit menu.

See Also:
Creating and Editing Columns
Delete (Edit menu)


 Selecting and Editing Cells

Selecting and copying data:

Data can be selected by clicking and dragging the mouse pointer across ranges of cells in a table. If a region is selected in a graph object, the corresponding range will be selected on the table.

Selecting a Row

You can select an entire row of data by clicking on the row numbers.

Selecting a Column

You can select entire columns by clicking on the title of the column.

Editing and Selecting a Cell
To edit a single cell in a table, single click in the cell. Tip: You can bring the cell out of edit by pressing the Esc key. | To select a single cell in a table, click and drag the selection within that cell. Tip: From there, you can select "blocks" of data by moving the cursor to another cell, holding down the shift key, and clicking.

If you are entering numbers in scientific notation, use the “E” or “e” key as in the examples below:
To enter this number: | Type this:
3.5 x 104 | 3.5 E 4
-2.4 x 103 | -2.4 e 3
5.5 x 10-12 | 5.5 E -12

Numbers larger than 1025 are treated as 1025, numbers smaller than -1025are treated as -1025, and numbers between -10-25 and 10-25 are treated as 0.


 Protecting Data

You can prevent editing of existing data by either double-clicking on a data column or choosing Column Options / Column Definition Tab from the Data Menu and checking the box Lock Column (prevent cell editing).

This option is also available when creating new data columns. Choose New Manual Column from the Data Menu and check the Lock Column box.

See Also:

Creating and Editing Columns


 Clear All Data

This command clears all column data and deletes all but the first dataset. It does not change the page layout, column definitions, or other settings. Clear All Data does not delete any data you may have saved to disk.

You can restore the data you have cleared by selecting Undo Clear All Data from the Edit Menu.


 Sort Data Set

You can re-order your data based on any column. This menu item opens the Sort Data dialog box where you can choose the column and whether the data are sorted in ascending or descending order.

All the columns in the Data Set are rearranged based on the column you choose to be sorted. For example, if you have a Data Set with two columns:

X Y
3 33
1 11
2 22

And you sort the Data Set in ascending order based on X, you will then have:

X Y
1 11
2 22
3 33

See Also:

Data Set Options


 Generating Data

If you want to automatically populate a column with generated numeric values or special labels (such as months or data set names), select New Manual Column from the Data Menu. Check the Generate Column box in the Column Definition tab.

You can then scroll the list for the values or labels you want.

Click OK, and the new column will be added to your current Data Set.

You can also generate data in an existing column. Either double-click on a column heading or select Column Options from the Data Menu and perform the procedures described above. Note that this will overwrite your existing data in that column.


 Data Browser

The Data Browser is a container for all the data in a Graphical Analysis file. All data may be accessed and manipulated through the Data Browser. In contrast, a given Data Table will not necessarily show all data columns.

For basic use of Graphical Analysis, you will not need to use the Data Browser. By default, all new data columns are added to all data tables. However, for more complex Graphical Analysis sessions, you may find it useful to display only a subset of the possible columns in a particular data table, or you may find it useful to not display a data table at all. In these cases, you will use the Data Browser to manipulate data columns and data sets.
Data Browser features:
  • Drag-and-drop from the Data Browser to objects such as tables and graphs. Drag a column to a y- or x-axis to plot it there; drag a data set to a table to make it visible there.
  • When the Data Browser is "Active" (it's been clicked on) its appearance changes to reflect its active state. Edit menu items like Cut, Copy, Paste, Duplicate, and Select All, will apply to the selected items within the Data Browser.
  • Options and commands associated with a particular column or data set will be accessible in the Data Browser via right-click (control-click on Mac) for options and commands.

Six Data Browser toolbar-like buttons provide shortcuts for document-wide data commands:

Click To
Add a new data set.
Add a new manual column by bringing up the New Manual Column dialog.
Add a new Calculated Column.
Expand or collapse the whole tree.
Whenever a column is selected, click this button and all columns with that same name will also be selected.
Delete the currently selected objects.

All data browser actions are undoable by selecting Edit/Undo.

Tip: The Table Options dialog allows you to set which columns and data sets are shown in a data table.

Shortcut:

Toolbar:

See Also:


 Selecting Objects

There are a number of ways to select an object or objects.
Selecting a Single Object: | Move the cursor over the objects and click on it. Or you can
 | use Select Next/Previous from the Edit Menu.
Selecting Multiple Objects: | Click on an object, hold down the Shift key, and click on
 | another object
 | "Lassoing" by holding down the mouse button and encircling
 | the objects to be selected
Selecting All Objects: | Choose Select All from the Edit Menu

When an object is selected, its border becomes visible along with eight resizing handles.

Once you have selected the objects you want, you can Group, Lock, Align, or move them. You can also select individual objects (to call up their options, etc.) that are grouped or locked.

See Also:

Managing Objects


Moving Objects Hotspot

 Moving Objects Hotspots

All page objects can be grabbed and moved anywhere within the page.

For all non-helper objects; i.e. graphs and tables, select the object by clicking on it once. Move the cursor over the edge of the highlighted object until the cursor turns into a hand, and hold down the mouse button while grabbing and moving the object.

Tip: You can also use the keyboard to grab objects
Windows: | With the cursor over an object, hold down Ctrl and the little grabby hand appears.
 | Then click and hold down the mouse button to move the object.
Mac: | With the cursor over an object, hold down the [image] key. Then click and hold down
 | the mouse button to move the object.

See Also:

Align Objects


 Managing Objects

All data, graphs, etc. in the Graphical Analysis program are displayed in a series of objects which appear inside the larger Graphical Analysis program window (called a page). Multiple objects can be added to a page. The objects can easily be removed or resized.

To focus an object (for the purposes of resizing, calling up its options, etc.) click on it.

Adding a new object

To add a new object, use the several options from the Insert menu.

Arranging objects

You can change the layout of the objects on the screen by clicking and dragging or by using several options from the Page menu. The Layer Objects command allows you to move objects to the forefront of the page, to the back, etc.

Resizing objects

It is possible to resize objects, and they can even overlap. Follow these steps to resize an object.
1. | Select an object by single-clicking on it. When an object is selected, its border becomes visible along
 | with eight resizing handles.
2. | Clicking and dragging a resize handle will resize the object in the appropriate direction.

Removing objects

To remove an object:

1. Select the object.

2. Right-click on Windows/ ctrl-click on Macintosh or scroll under the Edit menu.

3. Select Delete.

or

1. Select the object.

2. Press the delete key

Grouping objects

Group from the Page Menu groups selected objects into one object.

See Also:

Selecting Objects

Options Menu


 Choosing Graph Options

Using the various dialog boxes in the Options menu, you can set several options (such as grid lines, color, point protectors, etc.) which change the appearance of the graphs. Use the checkboxes to toggle the options on and off.

1. Make sure a graph window is the currently selected window. This is done by single-clicking the graph.

2. Select Graph Options... from the Options menu. You can also double-click on the graph.

3. Choose the options you want to change in the dialog box.

4. Click OK to make the changes take effect.


 Managing Helper Objects

Helper Objects like Integral, Statistics, Linear Fit, Curve Fit, Legend, and Examine are objects with text and line components. The Helper Objects Options dialog box contains many functions to manage helper objects. You can either select it from Additional Objects Options from the Options Menu or double-click on a Helper Object. The Helper Objects Options dialog box is not available if there are no Helper Objects on the page.

Moving a Helper Object:
You can move a floating box by clicking on it and dragging it around the page.

Deleting the Helper Object:
To delete the object and the graph item to which it points to (an integral, regression line, curve fit, etc.), click the small close box in the upper corner of the Helper Object or click on the Helper Object and select Delete from the Edit Menu.

Aligning Helper Objects:
For organizational purposes, helper objects can be arranged to various parts of the page. Select one of the options under Align Objects from the Page Menu.

Grouping Helper Objects: Helper objects are always considered part of the graph they are attached to. If you delete the graph, the helper object goes away. If you copy or group the graph, the helper object is copied or grouped as well


Examining Points on a Graph

 Examine a Graph

When you select the Examine function, a helper object appears showing the X and Y values of the data point closest to the mouse pointer. The helper object displays the values whenever you move the mouse pointer across a graph, FFT, or histogram.

Choosing Interpolate changes how examine works. If interpolate is on, and you do not have any linear fits or curve fits, then the Examine helper object will show the linear interpolation between the closest 2 data points. If you do have any fits, then the Examine helper will show the value of the fit.

When you press the left or right arrows, the examine line moves to the left or right. This can be a very useful way of explicitly examining a sequence of points in a graph with a large number of points.

Select Examine either by clicking its icon [image] on the toolbar or by selecting Examine from the Analyze menu.

Another way to quickly see values on a graph without creating an Examine helper object is to go to Graph Options and check "Mouse Position and Delta." When this is checked, you will see the data value of the location of the mouse cursor in the lower left of the graph. You will also see DeltaX and DeltaY displayed when you click and drag to select a region in the graph.


 Drawing a Tangent at a Data Point

When you select the Tangent function, a short bar shows the slope of the line at the point closest to the mouse pointer. It is active when you move the mouse pointer over a graph. A helper object also displays the numerical slope at that point.

Select Tangent either by clicking the Tangent icon [image] on the toolbar or by selecting the Tangent option from the Analyze menu.

See Also:

Examine Points on a Graph


Drawing a Regression Line

 Linear Fit

The Linear Fit feature uses least squares method to draw a linear regression line over the selected area of a graph and calculates the slope (M) and Y-intercept (B) of that line. A helper object containing the slope, Y-intercept, and correlation coefficient of the regression line will be added to the graph.

Click and drag the mouse across the segment of interest. The shaded area marks the beginning and end of the range. If a region is not selected, the regression will be calculated over the range of data displayed in the graph.

You can select the Regression option either by clicking the Linear Fit button [image] on the toolbar or by selecting it from the Analyze Menu. To erase the regression line, click the box in the upper corner of the helper object. To edit the object's properties (to change font or size, or to display the standard deviation of the slope and intercept), double-click the box to summon the Helper Options.


 Curve Fit

The Curve Fit command is used to fit a function to all or part of your graph. You can enter or select an equation with up to six adjustable parameters. Curve Fit is available either by clicking the Curve Fit button on the toolbar or by selecting it from the Analyze Menu.

Draft Graph

You can fit a function either to the whole graph or just to a region of interest. To select a portion of the graph, drag the mouse across the desired region.

Options

Fit Type

Select which type of curve fit you would like to perform: Automatic or Manual.

The Create Column in Data Set option will create a column in the data table holding the y-values of the fitted function at each value for the x-axis.You can scroll down and add the new column to an existing data set or to a new data set. You will be prompted to enter a name.

General Equation

Here you select an equation to be fit to the data. You can either choose a formula from the list in the scrolling box, or you can click the Define Function button and type a formula in the text box. Many common functions, such as linear, exponential, inverse, and polynomial are included in the list.

The Degree/Power box is activated and available for editing when the appropriate general equation is selected, e.g. A*x^n (Variable Power).

You can define and add customized mathematical functions to the general equation list. A maximum of five parameters can be using in the equation. Click the Define Function button and type in the function in the box. Delete added functions and equations from the list by highlighting and clicking the Delete Function button.

Coefficients

The coefficients can be adjusted individually to improve the fit of the function to the data. Either type in a new value, or use the up and down arrow buttons to step the value of the parameter up and down. The up and down arrow buttons can be used to change the parameter step size.

Depending on the coefficients initially chosen, a function may not fall within the graph window. In this case it may be difficult to adjust the coefficients to achieve a good fit. You may want to calculate the necessary values to force the function to pass through one data point (often the y-intercept) and begin with these values.

Clicking the open triangle [image] will call up the Automatic Delta dialog:

The automatic delta dialog lets you enable/disable an automatic calculation for the delta to use when using the spin controls to the right of the coefficients. If you choose to disable the automatic calculation of the delta, you can type in whatever delta value you like.

After you click OK, a floating box (helper object) containing the equation and fit coefficients of the function will be added to the graph. Black brackets mark the beginning and end of the range. These can be clicked and dragged to adjust the fit. To remove the fitted line, click the box in the upper right corner of the helper object.

Note: For complete details about Curve Fitting, we recommend that you consult Numerical Recipes in C ©. The book in its entirety can be viewed at the following address: http://lib-www.lanl.gov/numerical/bookcpdf.html

Toolbar:

See Also:

Automatic Curve Fit

How To/ Curve Fitting

NUMERICAL RECIPES IN C: THE ART OF SCIENTIFIC COMPUTING. Copyright © 1988-92 Cambridge University Press.


Integrating a Data Set

 Integrating a Set of Data

The integral function calculates the area under a segment of the graph. The selected area is filled on the graph and a helper object displays the numeric result. The integral is calculated using the trapezoid rule.

Click and drag the mouse across the segment that you want to integrate. The shaded area marks the beginning and end of the range. The direction you move the mouse is not significant. If you don't select a range, the curve will be fitted to the entire range of data displayed in the graph

Choose the integral function either by clicking the Integral button [image] on the toolbar or by selecting the Integral option from the Analyze Menu. You can click and drag the brackets and the integral will update automatically. To remove the integral from the graph, click the close box in the upper corner of the integral helper object. To edit the integral's properties, double-click the helper object. The Integral Options dialog box will appear.


Printing Various Objects on the Same Page

 Printing Graphs and Data

1. Arrange the objects on the screen as you want them to appear on the paper. If you choose, you can print several graphs and data tables at once. Choose Page Layout View from the Page menu to re-size the page according to the current printer's page setup

2. Select Print from the File menu or click the [image] button on the toolbar.

3. When the printer is ready, click the OK button in the Print dialog box.

See Also:


 Copying Data to Other Applications

Using Graphical Analysis, you can enter data into the data table, then copy it to other applications. For example, the text and/or data can be pasted into a word processor for reports.

Specific instructions are available for copying information to the following applications:
Microsoft Word
Microsoft Excel

Almost any Windows or Mac application which supports pasting from the clipboard can receive data from Graphical Analysis, not just those listed above. In general you can copy data into your application with the following steps. The data must be in memory to do this.

1. Make sure that the table object is selected. Select the data you want to copy. You can only copy the columns and rows that you select. Single-click the column heading to highlight a column. If you want to copy the whole data table, choose Select All from the Edit menu.

2. Select Copy from the Edit menu to copy the data to the clipboard.

3. Launch the other application.

4. Select Paste from the Edit menu in the other application.

Note: You can also copy data from the Data Browser. This can be done by clicking on a data set or column and selecting Copy. This will include the data as well as formatting information, including column titles, date, etc. when pasted into the other application.

Vernier Format
C:\Program Files\Vernier Software\Graphical Analysis 3.0\Sample Files\boyle's law.ga3 11/28/2001 8:44:39
Data Set 1
Pressure | Volume | Reciprocal Volume
Press | Vol | 1/Vol
atm | mL | 1/mL
2.02 | 5 | 0.2
1.35 | 7.5 | 0.133333
1.02 | 10 | 0.1
0.814 | 12.5 | 0.08
0.686 | 15 | 0.0666667
0.581 | 17.5 | 0.0571429
0.5 | 20 | 0.05

Note: The layout depends on the particular application.

See Also:

How To/ Importing Data from Other Applications

Export Text


 Copying Graph Images to Other Applications

To copy a graph, select the desired graph by clicking on it. Then choose Copy from the Edit Menu. The active graph is then copied to the clipboard as a bitmap. Switch to the application in which you want to paste the image, and choose Paste from that application’s Edit menu.

See also:


 Customizing Your Startup Page

You can create a file that will be called up whenever Graphical Analysis is launched or New is selected from the File menu. Follow these steps to customize you own startup file:

1. Launch Graphical Analysis and create the desired startup file from any existing file. You can customize the file any way you wish, including the graph title, column lables, colors, displayed precision, etc.

2. Save the file to a known location on your computer. A good choice is the folder containing Graphical Analysis. Give the file a name like "mystartup.mbl."

3. Choose Preferences from the File menu. In the Preferences dialog box, ensure that the startup file box is checked, click the Browse button, and select your file. Click Ok.

4. Test by exiting then relaunching Graphical Analysis.


 Preferences

The Preferences dialog box contains several options that pertain to the general operation of the software. These preferences will be stored in the registry (or prefs folder on the Mac) and will apply every time the program is launched.

You can choose a file that will be called up whenever Graphical Analysis is launched or New is selected from the File menu. Use the Browse button to locate your Startup File.

When the Open Startup File as Template check-box is filled, you cannot save your file using the startup file's name. When the check-box is filled beside Open Startup File on File:New, the settings made in the preferences dialog box will appear in the default startup/new file.

You can also set the Default Folder, or the folder that will be opened when Open is selected, by using the Browse button.

Check Allow Automatic Curve Fit to automatically fit curves to data. If this is unchecked, only manual fits will be allowed. You can select the default precision that curve fit and linear fit objects will use when displaying their coeffecients, RMSE, and other values

Display Larger Text on Screen: If you wish, you can select large text for all objects. Note: The font size shown in the Text Options dialog reflects the small text size.

Thick Graph Trace Lines: When checked, traces in graphs will be drawn with thicker lines.

Move Table Selection After Enter: Here you can choose whether the following selected cell in a table (after you press Enter/Return) is beneath or to the right of the currently selected cell.

Show Tips at Startup: Uncheck this to skip the tips window when the program is launched.

New Data Sets have (X,Y): Check this box so new data sets that you add will contain columns labelled X and Y. Otherwise, new Data Sets will be copies of the first Data Set.

Undo Levels: Select the number of actions that will be kept in memory and can be undone. The higher this number, the more actions that can be undone but it will consume more memory. If you are low on memory, you may wish to set this to a low number (or even to 0 - disabling undo entirely).


 Getting Help

You can access help from within the Graphical Analysis program in a number of ways.

Help contents

To see the Help contents page, select Graphical Analysis Help from the Help menu.

To get Help on an object

Right-click (ctrl-click on Mac) on the object and select Help from the menu.

To get Help on a dialog box

You can get Help while in any dialog box by clicking the Help button.

See Also:

Help Menu


 Graphical Analysis Tips

Selecting Graphical Analysis Tips from the Help Menu brings up the tips dialog which will display a random tip and allow you to cycle through all available tips.

You can choose to have the tips window automatically appear upon launching Graphical Analysis by checking the box next to Show Tips at Startup in the dialog box or in Preferences under the File Menu.


Menu Index

 Menu Items

The Graphical Analysis menu bar contains the following menus.

  • File
  • Edit
  • Data
  • Analyze
  • Insert
  • Options
  • Page
  • Help


 File Menu

The File menu contains functions to load, save, and print files and data. The File menu offers the following commands:
New | Creates a new file.
Open | Opens an existing document.

Save | Saves the current document using the existing file name.
Save As... | Saves the current document to a specified file name.
Import From | Contains two submenus.
 | Import->TI Device... imports data from Texas Instrumetns graphing calculators.
 | Import->LabPro... imports data from Vernier LabPro using a serial or USB cable.
 | Import->Text File... imports a text file into columns of data.
 | Import->Palm Data Pro... imports data from a Palm device collected with the Data Pro program.
Export as Text | Exports current document as columns of tab-delimited data.
Page Setup... | Opens the page setup dialog box for the current printer.
Printing Options... | Identifying text and date/time can be added to printouts.
Print Preview... | In this view, you can check the layout of the document before printing.
Print... | Prints the current document.
Print Data Table | Prints complete columns of data from a table object or objects.
Print Graph | Prints only the graph (or graphs) from your page.
Preferences... | Use this command to set the preferences for Graphical Analysis.
Settings for File | Change settings that pertain to the general operation Graphical Analysis.
Exit Exits Graphical Analysis.


 New

The New command loads a new file. This file contains the default settings of the objects provided when Graphical Analysis starts up. When you select this option, you can either save or clear whatever file you are currently working on. It can be accessed from the File menu or the toolbar.

The new (or startup) file can be defined in Preferences in the File Menu. You can choose to start with own file, a file included with the program, or to not use the startup file at all when choosing File->New. The default startup file containing a Table, a Graph and a Text object is show below:

You can customize a startup file.

See Also:

Graphical Analysis Screen.

Objects

Shortcuts:

Toolbar:

Keys:
Windows: CTRL+N
Macintosh: N


 Open

The Open command loads a saved file, displaying the file's objects in their original state. It can be accessed from the File menu or the Toolbar.

When a file is opened with the Open as read only check-box filled (the default), the Save command and the Save toolbar button are disabled. This is done to prevent inadvertent changes to experiment files. The Save As command can be used to save the file under a new name. Clear the read-only box when opening a file if you want to be able to replace the file name.

You can create new documents with the New command.

Shortcuts:

Toolbar:

Keys:
Windows: CTRL+O
Macintosh: O


 Save

The Save command saves everything associated with the file you are working on, e.g., object placement, data, helper objects, and any new columns you have created. If the name of data file is already in use, the current settings and data will replace the older file. The Save function can be accessed from the File menu or the toolbar.

When you save an file for the first time, Graphical Analysis displays the Save As dialog box so you can name your file. If you want to change the name and directory of an existing document before you save it, choose the Save As command. From then on, after choosing Save, you will not be prompted to name the file.

Note that that Save option will be greyed-out (unavailable) if your particular file is Open as read only. See Preferences for details.

Shortcuts:

Toolbar:

Keys:
Windows: CTRL+S
Macintosh: S


 Save As

The Save As command saves the current data file under a different name. You will be prompted to enter a file name, along with the file type and location..

See Also:
Save


Import

 Import From

Use this command to receive data from a Texas Instruments graphing calculator, LabPro, CBL 2, CBL, or Palm Handheld. You can also import a text file. A TI-GRAPH LINK cable and a free serial or USB port on your computer are required to collect data from your calculator, LabPro, CBL 2, CBL, or Palm Handheld.

The following submenus are available:

TI Device...

LabPro...

Text File...

Palm Data Pro...

See Also:

How To/ Importing Data from Other Applications and old Versions of Graphical Analysis

Importing Data From Custom Applications


Export text

 Export as Text

This option exports data to a tab-delimited text (.txt) file. All data, including calculated columns or curve fit columns, are saved. A time stamp, column names, short names, and units are included in the file (see below). After choosing this option, enter the name of the file you wish to create in the save file dialog.

Note: Do not confuse this option with the Save or Save As options which save all the details of the current document. Use the Export as Text option only if you want to create a text file that can be read by other applications such as spreadsheets or word processors.

Hint: Instead of exporting data using text files, it is often easier to copy the values from a Data Table and paste them into another application.


 Page Setup

The page setup command opens the print setup dialog for your particular printer.

To reconfigure the way your workstation interacts with the network printer, click the Properties button. The printer properties window dialog box will appear.

See Also:

Print

Printing Options


 Printing Options

Identification of files is important when a number of documents are being printed. This option brings up a dialog allowing you to set preferences for automatic printing.

The dialog has fields for a name, a comment, and checkboxes to include the date, page title, and page number. The information is added as a footer to the printout if the footer checkbox is checked.

See Also:


 Print Preview

Print preview displays multiple pages of a document in a reduced size. In this view, you can check the layout of the document. You can also close (returning you to your file) to make editing or formatting changes before you print, or you can print directly from the Print Preview screen.

Note that on the Macintosh, Print Preview is not available in Page Layout View.

See Also:

How To/Printing Graphs and Data

Print


 Print

Use the Print command to print a file. The following dialog can be accessed by selecting Print from the File menu, or clicking [image] on the toolbar.

This option lets you make multiple copies, print range of pages, etc.

Shortcuts:

Toolbar:

Keys:
Windows: CTRL+P
Macintosh: P

See Also:

Printing Options

Print Data Table

Page Layout View

How To/Printing Graphs and Data


 Print Data Table

Prints complete data columns from table objects. More than one table can be printed simultaneously. You will be warned and told how many pages to expect if more than 10 pages of data will be printed.

See Also:

How To/Printing Graphs and Data

Print Graph

Printing Options

Print


 Settings for File

This dialog allows you to change settings that are stored with the file.

Degrees/Radians: This changes the units of measure for trigonometric functions in calculated columns. You can choose either radians or degrees.

Derivative and Smoothing: The values entered here set the number of points used in the calculation of derivatives and smoothed values.

See Also:

Preferences


 Exit

Choose Exit to end your Graphical Analysis session. Graphical Analysis prompts you to save documents with unsaved changes.


 Edit Menu

The Edit menu allows you to undo previous actions and provides editing functions such as copying, cutting, pasting and deleting. The actual commands may depend upon the type of window you are working with.
Undo | Reverses the last action (when possible).
Redo | Will reverse the "undo."
Cut | Deletes objects from the page and moves them to the
 | clipboard.
Copy | Copies the currently selected object to the clipboard.
Duplicate | Copies the selected object and immediately pastes it.
Paste | Pastes objects from the clipboard into the document.
Clear Cells | Deletes objects from the table window if they were
 | manually entered.
Delete | Deletes all selected objects or removes table cells.
Select All | Selects all objects if nothing in the page has the focus
 | or the data if the table window has the focus.
Select Next | Selects one object at a time.
Select Previous | Selects one object at a time.
Strike Through Data Cells | Temporarily disables the selected rows.
Restore Data Cells | Restores all selected rows to a non-struck-through state.


 Undo

Will reverse or "undo" the most recent action that resulted in a change to the document. For example, if you accidentally deleted a graph, you can select "Undo Delete" and your graph will reappear. Multiple levels of undo (up to 64) can be set in Preferences. That is, you can reverse your last 64 actions on the page. Note that the text of this item will change to describe the type of action that will be undone, e.g. "Undo Move" or "Undo Deletion".

The Undo command changes to "Can't Undo" on the menu if you cannot reverse your last action.

Shortcut:

Windows: CTRL+Z
Macintosh: Z


 Redo

This command will reverse the most recently undone action. The text of the Redo item will change analogously to Undo, to indicate what kind of undone action will be redone. For example, if you have deleted an object, you can select "Redo delete" to restore that object.

Shortcut:

Windows: CTRL+Y
Macintosh: Y


 Cut

Use this command to remove the currently selected object or objects and place them in the clipboard.

This command can also be applied to a selection of data or column in the data table. The data that was cut will be replaced by the succeeding data.

Cutting data to the clipboard replaces the contents previously stored there. You can also move data to the clipboard using the Copy command.

Shortcut:

Windows: CTRL+X
Macintosh: X


 Copy

This command copies the currently selected object to the clipboard. From there it can be pasted into the document, on top of the original object, or into another application for analysis.

When selecting data points, you must select an area of the table to copy, or the entire highlighted object will get copied.

The features of this application are as follows:

  • copy objects
  • copy all data in a table
  • copy rows of data in a table
  • copy columns
  • copy blocks of data in a table
  • highlight a portion of the graph, choose Select Next/Previous until the data table has focus and copy the corresponding data.

Shortcut:

Windows: CTRL+C
Macintosh: C


 Duplicate

This command copies any selected object and immediately pastes it onto the page. For example, you can highlight a graph, choose duplicate, and an exact duplicate (including the data) will appear on the the screen.

This command only works with objects. Blocks of data or highlighted portions of a graph cannot be duplicated

Shortcut:

Windows: CTRL+D
Macintosh: D


 Paste

This command pastes any object from the clipboard into the document.

To paste data, select the first column into which you want to paste data, then select Paste. This can work with columns, rows, or blocks of data.

If the current window is a text window, the clipboard will be pasted as text.

Shortcut:

Windows: CTRL+V
Macintosh: V


Clear

 Clear Cells

This command clears contents of your selection of table cells, leaving a blank cell. It will not clear all data if the data table is simply the object of focus. It does not affect the window layout or other settings. You can clear all the contents in your data table by first choosing Select All then Clear Cells.

You can undo this command by selecting Undo Clear Cells from the Edit menu. If you make other changes following the clear command, you can repeatedly select Undo until the Undo Clear Cells option appears.


 Delete

This command will delete data, text, or objects from the document. Below are the circumstances where the delete function can be used:

  • If there are selected objects (graph, table, oval, etc.), then that object will be deleted.
  • If a table with selected data cells has the focus, then those cells will be deleted. To delete a whole row or rows, click and drag over the row numbers you want to delete.
  • If a text object has focus and text is highlighted, then the text will be deleted.
  • If the Data Browser has focus, then selected data sets or columns will be deleted.

Shortcut:

Windows: Delete
Macintosh: delete

See Also:

How To Delete a Data Set or Column

Delete All Column Data

Delete Page


 Select All

This feature selects all of the data in the currently selected object, or all objects if one is not selected.

If the data table is the selected object, all the data will be highlighted. It is an easy way to select a large data table without dragging over the entire table.

Shortcut:

Windows: CTRL+A
Macintosh: A


 Select Next/Select Previous

The Select Next/Select Previous options are useful for selecting one page object at a time. It's a good way to select a table without wiping out a cell selection.

For example, when you select a range in a graph, notice that a number of cells within the table are selected in the table BUT if you try to select the table with the mouse, it wipes out the selection. These cells can be copied to the clipboard by selecting a range in a graph, then choosing Select Next until the table is selected. Finally, choose Copy from the Edit menu.

Shortcut:

Windows:
Select Next: Ctrl+Tab
Select Previous: Ctrl+Shift+Tab

Macintosh:
Select Next:
Select Previous:

See Also:

Selecting Objects

Managing Objects


 Strike Through Data Cells

This option allows you to tell the program to ignore selected cells. To strike through data, select the cells you wish Graphical Analysis to ignore by clicking and dragging the cells in a table object, or by dragging a selection in your graph, then choose Strike Through Data Cells from the Edit menu. Graphical Analysis will not draw any struck-through points on graph objects, nor use any struck-through values in calculations.

To restore struck-through points, simply select the struck-through rows and then choose Restore Data Cells from the Edit menu.

See also:

Restore Data Cells


 Restore Data Cells

When you strike through rows using the Strike Through Rows option in the edit menu, Graphical Analysis will ignore all the struck-through rows. To restore struck-through rows, simply select the struck-through rows and then choose Restore Data Cells from the Edit menu.

See also:

Strike Through Data Cells


 Data Menu

The Data menu contains functions for clearing and storing your data. It also contains options that allow you to edit certain features of the columns in the data table, add new columns to the data table, and edit definitions of user-defined columns.

The Data Menu offers the following commands:
Data Browser | Shows or hides the Data Browser which shows you all of the
 | Data Sets and columns.
New Data Set | Creates a new Data Set.
Data Set Options | Brings up a dialog allowing you to name or add comments to
 | the data set.
Sort Data Set | Here you can choose whether the data are sorted in ascending
 | or descending order.
New Manual Column... | Here you can add a manual column.
New Calculated Column... | Here you can choose from a list of formulas and variables to
 | make a new column involving calculations.
Delete Data Set | You can choose which Data Sets to delete from the Data Browser.
Delete Column | You can choose which columns to delete from the Data Browser.
Column Options | Edits the selected column.
Clear All Data | Clears all the data in the current page.


 New Data Set

This option, available from the Data Menu or the Data Browser, adds a new data set with matching columns to your table. If the page doesn't already have a table, one will be created with x and y columns.

Note: If the option "New Data Sets Have (X,Y)" in Preferences has been checked, then new Data Sets will have just 2 columns: X, and Y. If the option is unchecked, new Data Sets will be copies of the first Data Set.

You can edit the column options by either double-clicking the column name or choosing Column Options from the Data Menu.

See Also: How To/Adding and Managing Multiple Data Sets


 Data Set Options

This dialog can be called up by either selecting Data Set Options from the Data menu, or double-clicking on the top header of the data table object, or by double-clicking on the data set name in the Data Browser.

Here you can rename or add comments to your data set.

See Also:

Sort Data Set

How To/Adding and Managing Multiple Data Sets


 New Manual Column

This option, available from the Data Menu or the Data Browser, adds a new manual column for editing. The following three tabs are available for assigning a name, definition, units, etc. to the the new column. You can also generate new values automatically for the column.

Column Definition

Options

Data Sets

See Also:

New Calculated Column

How To/Creating And Editing Columns


 New Calculated Column

This option, available from the Data Menu or the Data Browser, allows you to create a new column of data for further analysis. This column can be mathematically related to another column or columns. The following three tabs are available for editing the new column.

Column Definition

Options

Data Sets

See Also:

New Manual Column

How To/Creating and Editing Columns


Delete Data Set or Column

 Delete Data Set/ Delete Data Column

You can choose which Columns or Data Sets from the Data Browser to delete. Also available from the Data Menu.

Choose a column or data set from the list, and click OK.

If the column chosen is a calculated or manual column, the remaining columns will be unchanged.

See Also:

How To/Deleting Data


 Column Options

Here you can edit columns that already exist. This window offers the same functionality for editing columns as the New Manual Column option from the Data Menu.

You can edit the columns by either double-clicking the column name in the Data Browser or Table, or choosing Column Options from the Data Menu.

Column Definition

Options


 Analyze Menu

The Analyze menu contains functions for examining and analyzing your data. Select the highlighted items for more information on each function.

Examine | Shows the x- and y-values of the data point closest to the mouse pointer.
Interpolate | Calculates the y-axis value along a curve fitted to the data for any x-axis
 | value.
Tangent | Shows the slope of the tangent line at the point closest to the mouse pointer.
Integral | Calculates the area under a segment of the curve.
Statistics | Calculates the minimum, maximum, mean, and standard deviation of the
 | selected data.
Linear Fit | Fits a straight line and calculates the slope and y-intercept to the selected
 | area of a graph.
Curve Fit | Fits a user-defined function over the data.
Legend | Displays the name and point protector for each data set.
Zoom Graph In | Zooms in 50%, or zooms to a selected area within a graph.
Zoom Graph Out | Undoes previous zoom, or zooms graph out to twice the range.
Autoscale Graph | Scales the ranges of selected graph(s) to the extrema of visible traces.


Examine Points

 Examine

When the Examine feature is selected, a vertical indicator line will appear. This line can be positioned by moving the cursor with the mouse. A floating box (helper object) will appear showing the x- and y-coordinates of the data point indicated by the examine line. The coordinates will be displayed whenever the mouse is moved across a graph, Fourier (FFT) display, or histogram. Pressing the left and right arrow keys on the keyboard will allow you to examine points to the left or right of the selected point.

Select Examine either by clicking the Examine icon on the toolbar or by selecting Examine from the Analyze Menu.

Turn off the Examine function by clicking the Examine icon, selecting the Examine option from the Analyze menu, or clicking on the close box in the upper corner of the Examine helper object.

Toolbar:

See Also:

How To/Examining Points on a Graph


 Interpolate

Interpolation calculates the y-axis value along a curve or regression line fitted to the data for any x-axis value.

Selecting Interpolate from the Analyze menu brings up a floating box (helper object) which displays the coordinates of any selected point on the graph. Points may be selected by moving the mouse along the graph or by pressing the left and right arrow keys on the keyboard.


 Tangent

When the tangent function is selected, a vertical line indicator will appear. A short tangent line is drawn at the point on the graph crossed by this line. A floating box (helper object) displays the numerical slope at that point. Points may be selected by moving the mouse along the graph or by pressing the left and right arrow keys on the keyboard.

Select Tangent either by clicking the Tangent icon on the toolbar or by selecting the Tangent option from the Analyze Menu.

Turn off the Tangent function by clicking the Tangent icon, selecting the Tangent option again, or clicking on the close box of the tangent floating box (helper object).

Toolbar:

See Also:

How To/Drawing a Tangent at a Data Point


 Integral

The integral function calculates the area under a segment of the graph. The area is filled on the graph and a floating box (helper object) displays the numeric result. If more than one column is plotted, each plot will be integrated.

Select the portion of the graph that you want to integrate. The direction you move the mouse is not significant.

Choose the integral function either by clicking the Integral icon on the toolbar or by selecting the Integral option from the Analyze Menu. To remove the integral from the graph, click on the small box in the upper-right corner of the floating box (helper object).

The integral is calculated using the trapezoid rule. For example, between adjacent points x1 and x2, the integral of f(x) is given by:

Integral = (f(x1) + f(x2))/2 * (x2-x1)

If the selected region contains more than two x values, the integral is the sum of the integrals between successive x values.

Toolbar:

See Also:

How To/Integrating a Data Set


 Statistics

The Statistics feature calculates the minimum, maximum, mean, standard deviation, and number of points of the selected data. A floating box (helper object) which contains the statistics is added to the graph.

You can calculate statistics for either the entire graph or just a selected portion of the graph. Black brackets mark the beginning and end of the selected range. Select Statistics from the Analyze menu or click the Statistics button in the Toolbar. You can click and drag the brackets and the statistics will update automatically. If more than one column is plotted, a selection dialog will open for you to select the columns for statistics calculation.

To remove the statistical analysis, click the close box in the upper right corner of the floating box (helper object).

Toolbar:


 Linear Fit

The Linear Fit function fits the line y = m*x + b to the selected region of a graph and reports the slope (m) and y-intercept (b) coefficients. If more than one column is plotted, a selection dialog will open for you to select the columns for regression. You may select more than one column for regression; in this case, a separate fit line will be applied to each graphed column.

You can fit a line either to the whole graph or to a region of interest. Drag the mouse across the desired part of the graph to select it. Black brackets mark the beginning and end of the range.

The Linear fit option is available either by clicking the Linear Fit button on the toolbar or by selecting it from the Analyze Menu. You can click and drag the brackets and the fit will update automatically. To remove the fitted line, click the box in the upper right corner of the floating box (helper object).

Toolbar:

See also:

Curve Fit

How To/Linear Regression


 Legend

Toggle this option to display the name and point protector for each data set in the upper right hand corner of the graph.

The legend can be moved about the screen by clicking and dragging with the cursor. It can be quickly removed by clicking on the box in the top right-hand corner of the object.

See Also:

Legend Options


 Zoom Graph In

This command zooms in 50% or zooms to the selected area within a graph, or undoes a previous Zoom Out.

To zoom in on a portion of a graph, first click and drag the mouse to select a region on the graph, then choose Zoom In from the Analyze menu, or click on the Zoom In button on the toolbar. The graph will rescale, expanding the selected region to fill the plotting area.

To go back to the original graph, click the Zoom Out button on the toolbar.

Toolbar:

See Also:

Zoom Graph Out


 Zoom Graph Out

This command zooms the graph out to twice the range or undoes the previous Zoom In.

The Zoom Out command will double the range of both the x- and y-axes. Choose Zoom Out from the Analyze Menu, or click on the Zoom Out button on the toolbar. The graph will rescale.

To return to the original graph, click the Zoom In button on the toolbar.

Toolbar:

See Also:

Zoom Graph In


Autoscale

 Autoscale Graph

The Autoscale command quickly resets the axes of the currently selected graph based on the data. It is an easy way to automatically scale both axes. Autoscale will select the axis scales so that all the data just fits on the graph while still following standard scientific graphing rules.

The y axis may not necessarily include the origin, so you may want to perform a more limited autoscale by choosing Autoscale from Zero.

Note: it is possible to do the same thing by clicking each of the axis labels and selecting AutoScale in the X or Y Options dialog boxes or by selecting the Autoscale option from the Analyze menu.

Toolbar: Tip: If you click and hold this button, you can select Autoscale from Zero.

See Also:

Autoscale from Zero

Zoom Graph In

Zoom Graph Out


 Insert Menu

New graphs, tables, and additional objects can be created and defined from the Insert Menu.

Graph | Adds a new cartesian graph object.
Additional Graphs | Adds a new FFT or histogram.
Table | Adds a new data table.
Text | Adds a text object.
Additional Objects | Adds a new oval, rectangle, or picture.

See Also:

Options Menu

How To/Managing Objects


New Cartesian Graph

 Graph

This command creates a new cartesian graph on your page.

Data will not be automatically assigned to the graph, unless a graph already exists in the page. In that case, it will mimic the data plotted on the previous graph. Double-click on the graph or choose Graph Options from the Options Menu to edit the new graph.


 Additional Graphs

Besides cartesian graphs, other types of graphs may be added. This command adds a new graph to the existing page. The types of graphs are:

New Histogram

New FFT Graph

See Also:

New Graph


 Table

The Data Table object displays data in data sets. If the object is too small to display all the columns, use the horizontal scroll bar at the bottom of the window to see each column. Data from the most recent data set is displayed on the left side of the data table. To move through the rows of data, use the vertical scroll bar on the right side of the table.

Selecting and copying data: You can select data by clicking and dragging the mouse pointer across ranges of cells. You can select entire columns by clicking on the title of the column. You can select an entire row of data by clicking on the row numbers. The Copy command can be used to move data to the clipboard and into other programs.

Columns that are not present in the table can be dragged from the Data Browser to the table for viewing and editing. You can also change which columns are presented in the table in the Table Options dialog.

Renaming a data column: To change the data labels or units, double-click the title at the top of the column, or select Column Options from the Data Menu, then enter the names in the Column Definition dialog box.

Renaming a data set: To change the data set label, double-click the title at the top of the data set, then enter the name of the data set in the dialog box.

See Also:

Changing Which Columns are Displayed on a Graph

New Table


New Text

 Text

This command creates a new Text object on your page.

Choose Text Options from the Options Menu or double-click the object to edit the text.


 Additional Objects

This command adds new objects to the existing page. The types of objects are:

Rectangle
Oval
Picture


 Options Menu

Objects (graphs, tables, etc.) can be edited within the Options Menu.

Graph Options | The Graph Options dialog allows you to change the
 | graph appearance.
Additional Graph Options | Allows you to change the appearance of histogram
 | or FFT graphs.
Table Options | Allows you to choose which column is displayed,
 | change the font, and the column colors.
Text Options | Allows you to change the properties of the text box,
 | including font, color, etc.
Additional Object Options | Allows you to choose the appearance of oval, rectangle,
 | or helper objects.

Tip: You can quickly quit option dialogs by pressing the Esc key.


 Graph Options

The Graph Options dialog allows you to change the graph object appearance.

Graph Options tab Adjusts point protectors, legend, line style, and other graph features.

Axis Options tab Adjusts scaling and what columns are plotted.

See Also:

How To/Choosing Graph Options


 Table Options

The Table Options command can be accessed by either double-clicking anywhere on the Data Table (except the columns) or from the Options menu. You can control which data sets and which columns are displayed as well as the font and size for numerical display.

The Displayed Columns option allows you to control which data columns are displayed in the data table window.

You can quickly change the color of the columns to black and white by checking the box next to Display Columns in Black and White. Customized colors for columns are available in Column Options.

The Font option lets you adjust the appearance of all text within the table.

Check the box next to Add New Data Sets and Columns To Table so all new data sets and columns are added to the table. Unchecked, they will be assigned to the Data Browser only.

See also:

Data Table

Column Options


 Text Options

The Text Options Window can be accessed by double-clicking on the text object or from the Options Menu.

You can change the appearance of the text, including the font, the justification, and the color, in this window. Editing commands found in the Edit Menu are supported, including cutting and copying to the clipboard. You can also use the right mouse button (Windows) or ctrl-click (Mac) to quickly access editing commands.

If you check the box next to Make All Text Visible, your text will automatically resize to fit inside the Text object no matter what size you make it.

Note: The font size shown in the Text Options dialog reflects the Preferences Presentation settings set to small text size.


 Additional Object Options
Oval Options | Brings up a dialog that lets you change the oval object appearance.
Rectangle Options | Brings up a dialog that lets you change the rectangle object appearance.
Picture Options | Brings up a dialog that lets you change the picture appearance.
Examine Options | Brings up a dialog that lets you change the examine object appearance.
Integral Options | Brings up a dialog that lets you change the integral object appearance.
Statistics Options | Brings up a dialog that lets you change the statistics object appearance.
Linear Fit Options | Brings up a dialog that lets you change the Linear Fit object appearance.
Curve Fit Options | Brings up a dialog that lets you change the Curve Fit object appearance.
Legend Options | Brings up a dialog that lets you change the legend's appearance,
 | including font, color, etc.


 Page Menu

The Page menu allows you to create new pages within a document and move easily among them. Each page can be modified to your specifications.

The following three options can also be accessed by the Toolbar

Previous Page | Brings up the previous page (if any) of the current document.
Next Page | Brings up the next page (if any) of the current document.
Go To Page | Brings up a dialog that lists all the pages in a document.
Add Page | Adds a new blank page.
Delete Page | Deletes the current page.
Page Layout View | Used for viewing the application either in screen or page
 | layout mode.
Page Options | Lets you choose background color, edit notes about the page,
 | or rename the page.
Group | Selects objects into one object.
Ungroup | Breaks up selected group objects into constituent objects.
Align Objects | Arranges helper objects to various parts of the page.
Layer Objects | This command allows you to place objects on top or under
 | other page objects.
Lock | Holds selected objects positions so they cannot be moved or deleted.
Unlock | Frees all locked objects so they can be individually moved or deleted.
Auto Arrange | Arranges all the objects on the page so that overlapping of objects
 | is minimized.


 Previous/Next Page

Previous Page | Brings up the previous page of the current document. This is only enabled if a previous page exists.
 | The previous page can also be accessed by clicking the [image] button on the Toolbar.
Next Page | Brings up the next page of the current document. This is only enabled if a next page exists.
 | The next page can also be accessed by clicking the [image] button on the Toolbar.
Go To Page | Brings up a dialog that lists all the pages in a document. This is only enabled if the document has multiple pages.
 | You can also scroll down [image] from the Toolbar and choose which page in a document you want to view.


 Add Page

This command adds a new page just after the current page and switches the current view to that page. An options dialog will appear, prompting you to define the new page.

Starting Contents: Here you can choose whether your new page will be blank, contain a graph and table, or be a copy of the current page you are working on.

Insert New Page: Choose where you wish to have the new page placed, before or after the current page.

Page Attributes

Here you can choose the visual display of your new page. Type in the Title of your choice. Choose a Background Color from the pull-down menu.

You can also add Graph Paper. Check this box to add and adjust a graph paper appearance to the page background.

Display Page Information: If you check the box next to Display Page Information, notes entered here will be displayed when the new page is first opened. These notes are a good way to provide introductory instructions for others.

Once created, you can double-click on the the new page or choose Page Options from the Page Menu to further adjust the page appearance.

See Also:

Delete Page


 Delete Page

This command deletes the current page. It is not available if the current page is the only page in the document.

See Also:

Add Page


 Page Layout View

If a checkmark is not present beside this menu item, it means the application is in "screen" mode. That is, you have a screen-sized page area to work with.

If this option is checked, the application is in page layout mode; the page is sized according to the current printer's page setup. This option allows you to format the objects to the printed page instead of the screen.

Note:

The first time you switch (from screen view to page view) you will be asked if you want to resize the objects. If you choose Yes, the objects will be resized. If you decide to switch back to screen mode (uncheck Page Layout View), the layout will not be the same as before. The new layout is smaller, i.e. the graphs and tables take up less of the page space.


 Page Options

Choosing Page Options will bring up a dialog for changing the appearance of the background, edit notes about the page, or rename the page. This window can also be called up by double-clicking on the page background.

Title: Type in the title bar to change the page title. After clicking OK, the title will be displayed in the title scrollbar [image] in the toolbar.
Background Color: Select a color from the scrollbar. You can also customize and create your own color by selecting custom from the color scrollbar.

Graph Paper: Check the box next to Graph Paper to make a background grid on the page. You can change the spacing between lines and the grid color.

Page Information: If you check the box next to Display Page Information, notes entered here will be displayed when the page is first displayed. These notes are a good way to provide introductory instructions for others.


 Group

Any page object may be grouped. When multiple objects are selected, the Group command causes their relative positions to be linked and they can be moved, selected and relatively resized as a single rectangular entity, complete with resizing handles. Grouping a locked object will make the group locked. Groups may be nested, that is, a group can contain other groups.

Objects can be grouped by selecting more than one object and choosing Group from the Page Menu.

Shortcut:

Windows: CTRL+G
Macintosh: Y

See Also:

Managing Objects

Ungroup


 Ungroup

The option is available only after objects have been grouped. It breaks up the selected group objects into individual objects for moving, editing, etc.

See Also:

Group


Align Objetcs

 Align Objects

For organizational purposes, helper objects can be arranged to various parts of the page.

Align Objects contains the following submenus:
Align Top: | Align objects by top edges.
Align Left: | Align objects by left edges.
Align Right: | Align objects by right edges.
Align Bottom: | Align objects by bottom edges.

Align Top Left: | Align objects by top left corners.
Align Top Right: | Align objects by top right corners.
Align Bottom Left: | Align objects by bottom left corners.
Align Bottom Right: | Align objects by bottom right corners.

Align Centers: | Align objects centers.
Align Vertical Centers: | Align objects by vertical centers only.
Align Horizontal Centers: | Align objects by horizontal centers only.

Space Evenly Across: | Make horizontal spacing between objects uniform.
Space Evenly Down: | Make vertical spacing between objects uniform.

Objects can be aligned by selecting more than one object and choosing Align from the Page Menu.

Note: This feature is disabled if objects are locked.

See Also:

Helper Objects

Managing Objects


 Layer Objects

This command allows you to place objects on top or under other page objects.

Focus on an object or group and choose from the following layer options:
Move To Front: | This command places the object to the forefront of the page.
Move Forward: | This command places the selected object up a layer.
Move Backward: | This command moves the selected object back one layer.
Move To Back: | This command places the object behind all other objects.


Lock

 Lock Objects

This command holds object positions so they cannot be moved or deleted, even if using Auto Arrange or Align. The contents, however, can still be edited. This is especially useful when creating a file that you don't want changed.

Locking is accomplished by selecting an object or objects and choosing Lock from the Page Menu.

See Also:

Unlock

Managing Objects


 Unlock

This option can only be selected if objects have been previously locked. It unlocks all selected locked objects so they can be individually moved or deleted.

See Also:

Lock


 Auto Arrange

This option will resize all graphs and tables to fill the available space. This featue is disabled if objects are locked. Overlapping of graphs and tables is minimized.

See Also:


 Help Menu

Use the Help menu to obtain assistance while using Graphical Analysis.

Graphical Analysis Help

Graphical Analysis Tips

About Graphical Analysis

About Vernier Software & Technology


 Graphical Analysis Help

Either select Graphical Analysis Help from the Help menu or double-click on an object to launch the online help guide.

From Help, you can get information on getting started with Graphical Analysis, tips on performing common tasks, menu descriptions, descriptions of objects, and screen hotspots.


 About Graphical Analysis

About Graphical Analysis opens a window with copyright information about this software, including the version number and date, and a link to the Vernier Software & Technology home page.


 Objects

Graphical Analysis provides five different objects that can be displayed on the screen in an overlapping format. Numerous combinations allow you to customize the presentation.

The Page is the foundation upon which you can add, modify, and delete several objects. They include:

Graph
Table
Text
Data Browser
Helper Objects
Additional Objects

A document can include several pages.

See Also:

The Graphical Analysis Screen

How To/Managing Objects


 Graph

A graphic view of data. A graph can come in one of the following types:

  • Cartesian (2-D)
  • Histogram
  • FFT Graph


 Cartesian Graph

A graphical display of data. Update the graph by typing in data pairs in the data table. When you import or paste data into Graphical Analysis, the graph is updated as soon as the data importation is complete.

Choosing what is plotted on an axis: Initially, the data table simply labels the axes X and Y, but it is possible to change what is plotted. To do so, move the mouse over either label and click the label. An axis options window then appears from which you can select a column or columns for display. You can also change the labels by selecting Graph Options from the Options menu.

Changing the scaling settings: To change the range over which data is plotted, click on an axis label. You can choose scaling options from the buttons on the right side of the dialog box. It is also possible to change the scales by clicking on the left and right limits on the X-axis or the top and bottom limits of the Y-axis. Once clicked, a box will appear allowing you to change the value.

Another option is to use the Autoscale button in the toolbar.

See Also:

New Graph


 Histogram

The Histogram object displays the distribution of values for a data set in bar graph format. The bin labels are displayed along the horizontal axis and the number of points in each division (or "bin") is displayed on the vertical axis.

Changing which column is plotted: To change the column used in the histogram, double-click on the histogram and a dialog box will appear. Select the Bins and Counts Options Tab. Choose the column you wish to plot from the selection of columns. You can also change the histogram by selecting Additional Graph Options-> Histogram Options from the Options menu.

Changing the bin size: The bin size determines the width of the X-axis over which the data points will be counted. Adjust this number to increase or decrease the size of these bins.

See Also:

New Histogram


 FFT

The FFT graph contains a Fast Fourier Transform (FFT) analysis of the selected data. The FFT gives the amplitudes of the frequency components of a data series and displays a bar graph showing the amplitudes of the frequencies shown along the X-axis. It can be used to find the frequencies and amplitudes of the sine wave components that make up a non-sinusoidal signal.

Changing the columns displayed: Double-click on the FFT graph. An axis options window appears from which you can select columns for display. You can also change the columns by selecting the Additional Graph Options -> FFT Graph Options from the Options menu.

See Also:

New FFT Graph


 Helper Objects

Some objects aren't created in the Insert Menu.

Helper Objects like Integral, Statistics, Curve Fit, and Examine are objects with text and line components. For example, when you select a graph and choose integral, the program automatically creates an integral object that will shade the proper trace and have a line connecting the trace to a text box that has the value of the integral. Double-clicking the text box, or choosing Additional Object Options from the Options menu, will bring up a Helper Objects Options window.

Statistics Helper Object

See Also:

Analyze Menu

How To/Managing Helper Objects


New Rectangle

 Rectangle

You can add a new rectangle object to your page. This is especially useful for annotation and documentation where an area of a graph or data may be highlighted or framed.

Clicking and dragging a resize handle will resize the rectangle. Double-click on the rectangle or choose Additional Objects Options -> Rectangle Options from the Options Menu to change the appearance of the rectangle.

See Also:

New Oval

New Picture


New Oval

 Oval

You can add a new oval object to your page. This is especially useful for annotation and documentation where an area of a graph or data may be highlighted or framed.

Clicking and dragging a resize handle will resize the oval. Double-click on the oval or choose Additional Objects Options -> Oval Options from the Options Menu to change the appearance of the oval.

See Also:

New Picture

New Rectangle


 Picture

You can add a new picture object to your page*. This is especially useful for annotation, documentation, or instruction for a particular experiment. Selecting this option will call up a dialog for you to choose the picture you want to add to your page. Click on the file that you want and click OK. The picture file types supported are .jpg's , .bmp, .gif, .png, .tif and .pct’s (The Macintosh version supports importing bmp, gif and pct files. It does not import jpeg, png, and tif files, which are supported in the Windows version).

Clicking and dragging a resize handle will resize the picture. Double-click on the picture or choose Additional Objects Options -> Picture Options from the
Options Menu to change the picture.

Tip: Hold down the shift key while you resize the object to maintain the picture's aspect ratio.

*The picture is a link and is not stored with the file. If you are moving a saved file that contains a picture to another location in your computer (and wish to keep the picture intact) you must move both the file and the graphic together.

1) Decide on a working folder. This might be your desktop, or it might be a documents folder.
2) Copy or move your images file to this folder.
3) If you have an existing GA3 file into which you want to place an image, copy the GA3 file to this folder as well. (Not positive this step is needed, but it can't hurt.)
4) Open the existing GA3 file or create a new file; insert your image.
5) Save the GA3 file to this working folder. Note that both the graphic and the ga3 file are in the working folder.
6) To give this ga3 file to someone else, email or copy BOTH the ga3 file and the image file. The accepting user must keep the two files together in the same folder for the image to be shown properly.

See Also:

New Oval

New Rectangle


 Screen Hotspots

Certain places on the Graphical Analysis screen can be clicked to make quick changes without going to the menus. In addition, the Toolbar allows quick commands without using the menus.

You can adjust display options by clicking on these areas:
Graph Options | Adjust graph scale, columns plotted, and graph options.
Graph Axis Labels | Adjust which columns are plotted, and adjust the axis scaling
Axis Numbers | Adjust graph axis limits
Stretchy Axis | Just outside the X or Y-axis line, you can manually rescale
 | or "stretch" the axis
Scroll Arrows | Scrolls the plotted range without changing the difference
 | between values
Data Table Options | Adjust colors, displayed precision, displayed columns, column
 | definitions, etc.
Additional Objects Options | Adjust the appearance of the additional Graph Objects
Page Options | Adjust the appearance of the page background
Resize Objects | Adjust the size of page objects
Moving Objects | Grab an object and move it anywhere you want on a page

Double-clicking on any object, including those not listed here, will open the specific options dialog for that object.

See Also:


 Graph Object Hotspot

Double click on any graph object to open the Graph Options dialog. This applies to cartesian, histogram, or FFT graphs.

See Also:

Options Menu


 Axis Label Hotspot

Click on an axis label to adjust which data columns are plotted. The x- or y-axis options dialog box will open. You can also adjust the plotted columns in the Graph Options dialog.

Here you can also adjust the axis scaling to one of these modes:
Autoscale: | Graphical Analysis will choose an appropriate range for the axes based on the data being plotted.
Autoscale from 0: | This option is similar to Autoscale except that one of the endpoints of the axis will be at zero and the other will be set based on the data range.
Manual Scaling: | In this mode, you can choose both endpoints of the axis. Enter the minimum and maximum values to plot in the text boxes under this option.

See Also:


 Axis Numbers Hotspot

Click on the largest or smallest axis numeric labels to manually rescale the graph.

The label will be selected; enter a new value and press the Enter/Return key on the keyboard. The axes minimum and maximum can also be adjusted in the Graph Options dialogs.

See Also:

Options Menu


 Stretchy Axis Hotspot

Just outside the X or Y-axis line, you can manually rescale or "stretch" the axis.

The axis can return to the original scaling by selecting Undo.

See Also:

Graph Axis Labels Hotspot


 Scroll Arrows Hotspot

The scroll arrows will scroll the plotted data range without changing the interval between minimum and maximum values. In effect, the plotted data are shifted left/right and up/down by the x- and y-axis scroll arrows.

See Also:

Stretchy Axis Hotspot


Table Options Hotspot

 Table Options Hotspots

Double-click on the data table object to open the Data Table Options, Data Column Options, or Data Sets Options dialog.


 Additional Objects Hotspot

Double-click on any of the additional objects to call up an options dialog.


 Page Options Hotspot

Double-click anywhere on the page background to call up the Page Options dialog.


 Resize Objects Hotspot

Select an object by single-clicking on it. When an object is selected, its border becomes visible along with eight resizing handles.

Clicking and dragging a resize handle will resize the object in the appropriate direction.


About VS&T

 About Vernier Software & Technology

Click on the link for a peek into the world that has brought you Graphical Analysis--Vernier Software & Technology.


Additional Graphs Options

 Additional Graph Options

Use this option to change the appearance of your various graphs.

1. Make sure a graph object is the currently selected object.

2. Select Additional Graphs Options... from the Options Menu. You can also double-click on the graph.

Histogram

FFT Graph


Autofit

 Automatic Curve Fit

The Automatic Curve Fit command will fit one of a list of functions to the selected region of a graph or table window. This command is available either by clicking the Curve Fit button [image] on the toolbar or by selecting it from the Analyze Menu.

To perform an automatic curve fit, highlight the region of interest by clicking and dragging the mouse across the graph. Choose Curve Fit from the Toolbar or from the Analyze Menu. If multiple columns have been graphed, choose the appropriate column from the list displayed in the pop-up box (This box will not appear if only one set of data has been graphed).

A reduced version of the graph will appear in the Curve Fit dialog box. Select Automatic under Fit Type. Select the General Equation you wish to examine, and click on Try Fit. (Coefficients are automatically applied, but can be adjusted. In this case, the Fit Type will revert to Manual). To examine other curve fit options, select the function and click on Try Fit. Click OK to close the dialog box and place the fitted curve on the main graph. A helper object containing the equation and fit coefficients of the fitted funtion will also be added to the graph.

Graphical Analysis chooses the best fit using a least-squares approach. The Mean Square Error is the sum of the distance squared of the difference between the fitted line and the data points, divided by the number of data points. The curve with the smallest Mean Square Error is the one chosen.

See Also:

Curve Fit

How To/Curve Fitting


 Autoscale from Zero

The y axis will not necessarily include the origin, so you may want to perform a more limited autoscale by choosing Autoscale->Autoscale from Zero from the Analyze menu.

See Also:

Autoscale


 Bin and Counts Options Tab

The Bin and Counts Options Tab allows you to select which columns are plotted and how they are scaled. You can also bring up this box by double-clicking on the graph's axis label.

Counts-Axis

Label:

With this dialog box, you can change the label name.

Columns:

Choose which columns will be plotted.

Stack Columns:

Select this option to display the columns stacked upon each other instead of side-by-side.

Scaling:
Autoscale: | The software will choose a range for the axis, based on the data being plotted.
Autoscale at 0: | This option is similar to Autoscale except that one of the endpoints of the axis will be at zero and the other one will be set based on the data.
Manual Scaling: | In this mode, you can choose both endpoints of the axis. Enter the minimum and maximum values to plot in the text boxes under this option.
 | Top: Manually enter the maximum value you wish to show on your graph (disabled if autoscaling is chosen).
 | Bottom: Manually enter the minimum value you wish to show on your graph (disabled if autoscaling is chosen).

Bin-Axis

Label:

With this dialog box, you can change the name.

Bin Size:
On a histogram the range of values along the X-axis is divided into equal "bins". The number of points in each bin is counted and displayed along the Y-axis. With the Bin Size option you can determine the size of each bin. (Note: Be careful when selecting the bin size. If you choose a large size, many different data points will fall into each bin, possibly hiding the actual distribution of the data. If you choose a small size, each bin will contain only a few data points which also can obscure the distribution of the data.)

Bin Start
Left/Right may not result in appropriate bin boundaries so Bin Start allows you to specify the left edge of the first bin boundary and the right edge of the last bin boundary.

Scaling:

The scaling option in the Bin and Counts window controls how the limits of the graph are set. There are three scaling options available:
Autoscale: | The software will choose an appropriate range for the axes, based on the data being plotted.
Manual: | In this mode, you can choose both endpoints of the axis. Enter the minimum and maximum values to plot.
Max: | Manually enter the maximum value you wish to show on your graph (disabled if autoscaling is chosen).
 | Left: Manually enter the minimum value you wish to show on your graph (disabled if autoscaling is chosen).
 | Right: Manually enter the maximum value you wish to show on your graph (disabled if autoscaling is chosen).

Tip: To quickly change the axis range, click on an end point value of the axis. A box then appears in which you can enter a new value.

See Also:

Histogram Graph Options tab


 Graph Options Tab

The Graph Options tab allows you to control how your data are plotted. The other tab, Axes Options, allows you to choose which data columns are plotted and how the graph is scaled. You can also bring up this box by double-clicking on the graph.

Tab Options

You can turn each of these options on or off as desired.

Title:

You can add and change the title text and its color as well as remove the title completely. The title will be placed at the top of the graph.

Examine:

Interpolate: By moving the mouse along the curve, you can read values from the graph. The Interpolate function will be activated.

Mouse Position and Delta: A display of the current cursor position will be given.

Legend: Displays a legend using Data Column labels in the graph window

New Data:

Whenever a data set or column is created, it will automatically be added to the graph or table.

Appearance:

X and Y Error Bars: The ranges of error bars are defined by the raw values in the selected variables. The midpoints are represented by point markers. Set the styles in the Column Options Dialog.

Point Protectors: mark every Nth point with a point protector. Set the styles and the spacing between point protectors in the Column Options Dialog.

Connecting Line: connect data points with lines to create a continuous plotted line

Bar Graph: draw line from horizontal axis to points.

Grid:

Major and Minor Tick Style: select line style for grid lines

Major and Minor Tick Color: select grid line color

Click OK to make your selections take effect.

See also:

Axes Options

How To/Adding Error Bars


 Column Definition Tab (New Manual Column)

You can set or edit display attributes for a defined column in the New Manual Column in the Column Definition Tab.

Name: The long name is used in graph axis labels, column headings and menus whenever there is sufficient room. You cannot use a quotation character (“) in the Name

Short Name: The short name is used in graph axis labels, column headings and menus whenever there is limited room. If you do not enter a Short Name, the first letter of the Name will be used.

Units: The unit name follows the column name in graph axis labels and column headings. If the units that you enter are not the same as a visible line on the active graph window, you will be warned that your column will not be automatically shown in the graph. You can either re-enter units that match a visible line, or click on the Y-axis label in the graph window and select your column to be drawn.

You can choose special symbols to be included in all of the above fields. Macintosh users can insert symbols by holding down the Option key and pressing:
p for p
m for m
0 for o
shift and = for +

Note: There are several symbols, and some also vary from font to font. The Key Caps program can be used to see all available symbols. Key Caps is a program that comes with the MacOS system software.

Generate Column: Check the box to create a custom column with specific labels.

The minimum and maximum values, along with the increment, can be adjusted. The new manual column will default as a numeric value, with no minimum or maximum value and increment, if the box is not checked.

Lock Column (prevent cell editing): When this box is checked, the column cannot be edited.

Treat Column Cells as Text: When this box is checked, numbers that are typed into the cells are ignored. When graphing that column, the row number is the quantity used for the graph. This allows you to type in dates such as 12/10/01 and still use the column as a text column.

You can edit the columns by either double-clicking the column name in the Data Browser or choosing Column Options from the Data Menu.

See Also:

Options

Data Sets

How To/Creating and Editing Columns


 Column Definition Tab (New Calculated Column)

This feature allows you to create a new column of data for further analysis. This column can be mathematically related to another column or columns. For example, if you have current and voltage data, you can use a new column to calculate current times voltage or power. You can also use extra columns to show the relationships between variables.

Name: The long name is used in graph axis labels, column headings and menus whenever there is sufficient room. You cannot use a quotation
character (“) in the Long Name

Short Name: The short name is used in graph axis labels, column headings and menus whenever there is limited room. If you do not enter a Short Name, the first letter of the Long Name will be used.

Units: The unit name follows the column name in graph axis labels and column headings. If the units that you enter are not the same as a visible line on the active graph window, you will be warned that your column will not be automatically shown in the graph. You can either re-enter units that match a visible line, or click on the Y-axis label in the graph window and select your column to be drawn.

You can choose special symbols to be included in all of the above fields. Macintosh users can insert symbols by holding down the Option key and pressing:
p for p
m for m
0 for o
shift and = for +

Note: There are several symbols, and some also vary from font to font. The Key Caps program can be used to see all available symbols. Key Caps is a program that comes with the MacOS system software.

Equation: | This box contains the formula used to calculate the new column. Insert from the fields below.
Variables (Columns): | This provides access to a list of the other columns. The columns you select will be copied to the Column Definition.
Functions: | The functions available in the New Column and Edit Column Definition dialog boxes are:

- Trigonometric functions will use degrees or radians as set in About [file name] on the File menu.

- For more information about Savitsky-Golay methods see Numerical Recipes in C:
http://lib-www.lanl.gov/numerical/bookcpdf.html chapter 15
Function | Description
abs() | The abs() function takes the absolute value of a cell.
acos() | Arccosine function. The arccosine(X) calculates the angle whose cosine equals X. X should always be between –1 and 1.
asin() | Arcsine function. The arcsine(x) calculates the angle (in radians) whose sine equals x. X should always be between –1 anArcsine function. The arcsine(X) calculates the angle whose sine equals X. X should always be between –1 and 1.
atan() | The arctangent(X) calculates the angle whose tangent equals X.
ceiling() | ceiling("X") returns a column of values where each value is the smallest integer greater than or equal to X.
constant() | constant(x, num) cretaes a column with num rows of the value x. num can either be a real number or a column, and refer to a specific data set. If num is a column, then the size of that column is used to determine how many rows to create.
cos() | Cosine function.
delta() | This function returns the difference between the current data point and the next.
derivative() | derivative("Y", "X") returns the numerical derivative of "Y" with respect to "X". The numerical derivative is the weighted average of the slope of points N points around each point. You can set N in File:Settings. This is the fastest way to calculate derivatives.
derivativeSG() | derivativeSG("Y", "X") returns the Savitsky-Golay derivative of "Y" with respect to "X". A polynomial is fitted to N points around each point and the derivative of that polynomial is used. N may be set in File:Settings. This is very accurate but can be slower than other methods.
exp() | exp("X") will return a column of values e^X, where e is The base of the natural logarithm, 2.718281828.
floor() | floor("X") for each value in X, floor returns the smallest integer less than or equal to that value.
integral() | integral("Y","X") creates a column where the n'th row = sum (Yi + Yi-1)/2 * (Xi-Xi-1) for i = 1 to n. This is the integral using the midpoint rule.
ln() | Natural logarithm. The inverse function of exp( ).
log() | logarithm (base ten)
max() | max("X") returns the largest value in X. (It will only return 1 value -- not another column the way most functions do.)
mean() | mean("X") returns the average value of X. if there are n values then the average is (x1 + x2 + ... + Xn) / n. (It will only return 1 value -- not another column the way most functions do.)
median() | median("X") returns the "middle" value of X. Half the values in X will be greater than or equal to the median, and half the values will be less than or equal to the median. (It will only return 1 value -- not another column the way most functions do.)
min() | min("X") returns the smallest value in X. (It will only return 1 value -- not another column the way most functions do.)
noise() | noise(k, "X"): Returns Gaussian noise of amplitude k ("X" is used to determine the number of points in the returned column). Num can either be a real number or a column.
numrows() | NumRows("X") returns the number of values in "X". (It will only return 1 value -- not another column the way most functions do.)
randInt() | randInt(min, max, num): Creates a column of num rows where each value is a random integer between min and max (inclusive). Num can either be a real number or a column.
randReal() | randReal(min, max, num): Creates a column of num rows where each value is a random real number between min and max (inclusive). Num can either be a real number or a column.
round() | round("X") returns a column of values where each value is X rounded to the nearest integer (rounding 0.1 gives 0, 0.6 gives 1).
second derivative() | secondDerivative("Y", "X") takes two columns and returns the numerical second derivative of "Y" with respect to "X". If you leave out the second argument, the first column in the data set will be used. This function just calls the function derivative twice (see description of derivative).
second derivativeSG() | secondDerivativeSG("Y", "X") returns the Savitsky-Golay second derivative of "Y" with respect to "X". A polynomial is fitted to N points around each point and the second derivative of that polynomial is used. N may be set in File:Settings. This is very accurate but can be slower than other methods.
sin() | Sine function.
smoothAve() | SmoothAve("X") takes a column and returns weighted averages (closer points are weighted higher). For each point, N points around that point are used in the averaging. You can set N in File:Settings. This is very fast and works well for linear data, but will always flatten and widen areas around local minimums or maximums.
smoothSG() | SmoothSG("Y","X") returns the Savitsky-Golay smoothed "Y" values. A polynomial is fitted to N points around each point and the value of that polynomial is used. N may be set in File:Settings. "X" is used to help the polynomial fit. This gives a very nice smoothed line that preserves local minimums and maximums but can be slower than other methods. If you leave out the second argument, the first column in the data set will be used.
sqrt() | Square root
stdev() | Standard deviation
sum() | sum() Sum takes a column, "X", as its argument and returns the sum of the numbers.
tan() | Tangent function.
derivative Time Shift() | DerivativeTimeShift ("Y", "X"): returns the derivative of "Y" with respect to "X". This function is specifically designed to be used with photogate and picket fence data. The derivatives returned are adjusted to estimate values at the start of the timing interval, instead of the midpoint. For details see The Physics Teacher, Vol 35, April 1997, p.220.

You must specify the dependent column but the independent column is optional. If the independent variable is left out, the derivative of the dependent variable is taken with respect to the first column in the data set.

If data is imported from an experiment file, you may want to specify the independent column. For example, if the imported data included “time” in the first column but you wanted to calculate the derivative of pH with respect to volume, you have to define the derivative as derivative("pH","Volume").

Constants:
Function | Description
pi | 3.14159265359. The ratio of a circle's circumference to its diameter.
e | 2.718281828. The base of the natural logarithm, ln( )

Select which axis you wish the new column to be added to by clicking the X-Axis or Y-Axis radio buttons.

You can edit the columns by either double-clicking the column name in the Data Browser or choosing Column Options from the Data Menu.

See Also:

Options

Data Sets

Creating and Editing Columns


 Curve Fit Options

Double-click on the Curve Fit helper object to call up the Curve Fit Options dialog box. Here you can change the appearance, including font, color, displayed
precision, and the uncertainty.

See Also:

How To/Curve Fitting


 Curve Fitting

The curve fitting tool adjusts the chosen equation so that it comes as close as possible to your data. Each equation has a general form with a set of coefficients. A new column containing calculated y-values may be added to your data table if desired.

Curve Fits can be:

Automatic: The program will find the best values for the coeffecients to fit the curve to the data whenever the user presses the "Try Fit" button. If the program is having a difficult time fitting the data, you can enter some known starting values for the coeffecients, or you can press "Try Fit" more than once. (Note that if you enter coeffecient values directly, the dialog switches to Manual -- if you're giving start values for an automatic fit, you must check the Automatic radio button again)

Manual: The user types in all the coeffecient values and the program does not do any automatic fitting.

  • On a graph window, select the range of the graph for which you want to fit a curve. If you don't select a range, the curve will be fitted to the entire range of data displayed in the graph. (If you are attempting to do a curve fit on grouped graphs, make certain to select the specific graph you want the fit performed on.)
  • Select Curve Fit from the Analyze menu or click [image] on the Toolbar.
  • Select an equation for the curve. Common functions, such as linear, exponential, inverse, and polynomial are included in the list. After you have selected a polynomial equation you will be able to adjust the degree. After you have selected the variable power and Nth inverse, you will be able to adjust the power.
  • Choose Manual (to experiment with these coefficients and/or exponents) or Automatic under Fit Type.
  • The upper portion of the screen will now contain a graph displaying the data and the best fit curve. A box containing information about the curve fitting process will appear at the bottom of the screen. The coefficients and/or exponents calculated will be presented along with the root mean square error. If the fit seems appropriate, click on the OK button. The main screen will appear with the data and fitted curve along with a helper object that displays curve fitting information. To edit the object's properties, double-click the box to summon the Helper Options dialog box.
  • You can try new fits by changing either the equation or the range of data selected on the graph, and then clicking the Try Fit button.
Tip: You can click on Try Fit more than once. Each time you click Try Fit, the algorithm starts from the current values of the coefficients and iterates closer to a solution.

If you want to exclude points from the fit, return to the page, select the point or points you want to exclude in the data table, and select Strike Through Data Cells from the Edit menu. Then return to the Curve Fit dialog to perform a new fit. The selected data points will not be graphed nor used in the curve fit.

See also:

Curve Fit Dialog

Linear Fit


Data Sets Tab(New Manual Column)

 Data Sets Tab (New Manual Column)

This option allows you to assign the New Manual Column to an existing or a new data set.

Check the box in the existing data set in the window and your New Manual Column will get assigned there.

Check the box next to Create a new Dataset and add the column to it, and your New Manual Column will be assigned to it.

See Also:

Column Definition

Options


 Data Sets Tab (New Calculated Column)

This option allows you to assign the New Calculated Column to an existing data set.

Check the box in the existing data set in the window and your New Calculated Column will get assigned there.

See Also:

Column Definition

Options


 Define Function

You can either choose a formula from the General Equation list in the scrolling box or you can type a formula in the text box when clicking the Define Function button. You may define and add customized mathematical functions to the general equation list. Click the Define Function button and type in the function in the box.

See Also:

Curve Fit


Column Options (Definitions Tab)

 Column Options (Column Definition Tab )

You can set or edit display attributes for a defined column in the Column Definition Tab.

Name: Required. The long name is used in graph axis labels, column headings and menus whenever there is sufficient room. You cannot use a quotation character (“) in the Name

Short Name: Optional. The short name is used in graph axis labels, column headings and menus whenever there is limited room. If you do not enter a Short Name, the first letter of the Name will be used.

Units: The unit name follows the column name in graph axis labels and column headings. If the units that you enter are not the same as a visible line on the active graph window, you will be warned that your column will not be automatically shown in the graph. You can either re-enter units that match a visible line, or click on the Y-axis label in the graph window and select your column to be drawn.

Insert Symbol: Here you can add a frequently used symbol to the name. Macintosh users can insert symbols by holding down the Option key and pressing:
p for p
m for m
0 for o
shift and = for +

Note: There are several symbols, and some also vary from font to font. The Key Caps program can be used to see all available symbols. Key Caps is a program that comes with the MacOS system software.

Generate Column: Check the box to automatically populate the column with generated numeric values or special labels (such as months or data set names).

The minimum and maximum values, along with the increment, can be adjusted. The new manual column will default as a numeric value, with no minimum or maximum value and increment, if the box is not checked.

Lock Column (Prevent Cell Editing): Once a column is locked, its cells cannot be edited.

Treat Column Cells as Text: Check this box to prevent number formatting and allow dates in your column. For example, if you type 10/01 without that checked, it will become a 10, but with this checkbox, it will stay as you typed it.

See Also:

Options


 Examine Options

Double-click on the Examine helper object to call up the Examine Options dialog box. Here you can change the Examine font.

See Also

How To/ Examining Points on a Graph


 Copying Data To Microsoft Excel

There are a couple ways to send Graphical Analysis data into an Excel spreadsheet for analysis or graphing.

Copy and Paste:

1. To begin, the data must be visible in a data table in Graphical Analysis.
2. Select the data you want to copy into Excel. You can only copy columns and rows that you select. If you want to copy the whole data table, choose Select All from the Edit menu.
3. Select Copy from the Edit menu to copy the data to the clipboard.
4. Load Excel and the receiving document.
5. In Excel, click on the cell that will be the upper left corner of the data region, then select Paste from the Edit menu or click on the Paste button.
6. If you want to add titles to the columns, enter the text in the cell above the top of each column.

Export as Text:

1. In Graphical Analysis, select Export as Text from the File menu.
2. Save the file with the name of your choise. Notice that it will be saved with a .txt extension.
3. Launch Excel.
4. Choose Open from the File menu. Under Files of type, scroll down and choose Text Files.
5. Select your saved file with the .txt extension, and select Open.
6. You will be sent through three steps. Choose Delimited, then Tab, then General format and click Finish.

Notice that this file will include the data as well as formatting information, including column titles, date, etc.

For more information on Excel, refer to its documentation.


 Fast Start

To get started, follow these simple steps:

  • Double-click the Graphical Analysis icon [image].
  • Click the Close button in the Tip of the Day box to continue.
  • Enter data into the data table.
  • Double-click on the graph to change its features.
  • Click on the numbers at the ends of the axes to change the scaling.
  • Experiment with the toolbar buttons.
  • Choose Graph, Additional Graphs, Table, etc. from the Insert menu to add new objects. Move the objects around or choose Auto Arrange from the Page menu to rearrange the page layout.
  • Try the various menus. Have fun experimenting. If you have questions, check the extensive online help guide.
  • To import data from a TI Graphing Calculator, connect the TI-GRAPH LINK™ cable. Choose Import from TI Device from the File menu. Click here for detailed instructions.

Note: Tutorials covering additional commands are provided. Choose Open from the File Menu to access them.

See Also:

How To


 FFT Graph Options

The FFT Graph Options dialog allows you to control how your data are plotted.

Title:

You can add and change the title text and its color as well as remove the title completely. The title will be placed at the top of the graph.

Legend:

Check this option to display a legend using Data Column labels in the graph window.

Peak Frequency:

If this option is checked, the graph will show the frequency component with the largest amplitude.

Grid:

Major and Minor Tick Style: select line style for grid lines
Major and Minor Tick Color: select grid line color

FFT Definition:

Base Column: In most cases, only timed data will be used and will be the first column of the data set. Select the column from the pull-down menu.

Data Column: Choose which columns will be analyzed and plotted.

Frequency Axis Options/Amplitude Axis Options: Use this option to change the label or axis scaling for the frequency axis and/or the amplitude axis. It is also possible to change the scales on the graph itself by clicking on the left and right limits on the X-axis or the top and bottom limits of the Y-axis. You can also use the Autoscale button in the toolbar.


 Helper Object Options

The Helper Objects Options window can be selected by double-clicking on the obejct or from the Options menu.

You can change the appearance of the text within the helper object, including the font and the color.

See also:

Helper Objects

How To/Managing Helper Objects


 Histogram Options

The Histogram Options dialog allows you to change the histogram object appearance.

Histogram Graph Options tab Adjusts grid, title, and other graph features.

Bin and Counts Options tab Adjusts scaling and what columns are plotted.


 Histogram Graph Options Tab

The Histogram Graph Options tab allows you to control how your data are plotted. The other tab, Bin and Counts Options, allows you to choose which data columns are plotted and how the graph is scaled. You can also bring up this box by double-clicking on the graph.

Tab Options

You can turn each of these options on or off as desired.

Graph Title:

You can add and change the title text and its color as well as remove the title completely. The title will be placed at the top of the graph.

Show Legend:

Displays a legend using Data Column labels in the graph object.

Add New Data Sets and Columns:

Whenever a data set or column is created, it will automatically be added to the graph or table.

Grid:

Major and Minor Tick Style: select line style for grid lines
Major and Minor Tick Color: select grid line color

Click OK to make your selections take effect.

See also:

Bin and Counts Options


 Importing Data From Custom Applications

If you are writing your own data acquisition program and you want to be able to import the data in Graphical Analysis 3, the data file format for formatting is a collection of data sets.

{Data Set 1}
{Data Set 2}
...
{Data Set N}

Each Data Set is a tab delimited block of text with the following format:

Vernier Format 2
{DATA SOURCE} {DATE} {TIME}
{Data Set Name}
{Column1 Long Name} {Column2 Long Name} ... {ColumnM Long Name}
{Column1 Short Name} {Column2 Short Name} ... {ColumnM Short Name}
{Column1 Units} {Column2 Units} ... {ColumnM Units}
<BLANK LINE>
{C1R1 Data} {C2R1 Data} ... {CMR1 Data}
{C1R2 Data} {C2R2 Data} ... {CMR2 Data}
...
{C1RL Data} {C2RL Data} ... {CMRL Data}

where the data set has "M" columns and "L" rows of data. The data set delimiter is a "M", tab delimited zeros. Another rule when working with data sets is that the double-quotation and colon marks are not allowed.

The number of columns does not need to be consistent between data sets nor do the number of rows need to be consistent between data sets or columns within a data set.

An example would be as follows:

Vernier Format 2
My\GPS\Device 1/22/2002 12:51:07
Mike's Travel Data
"Greenwich Mean Time" Longitude Latitude
Time Long Lat Alt
hours degrees degrees meters

6 -10 20 1000
7 -10 20.5 1500
8 -10 21 1250
9 -10 20.6 1400

Vernier Format 2
My\GPS\Device 1/22/2002 12:51:07
Ike's Travel Data
"Greenwich Mean Time" Longitude Latitude Altitude
Time Long Lat Alt
hours degrees degrees meters

6 -10 20 1000
7 -10 20.5 1500
8 -10 1250 1250
9 -10 1400 1400


 Import from LabPro

Use this command to receive data stored in a LabPro. A serial or USB cable is required.

Detailed instructions for importing data from a LabPro.

Initially, the first available port in your computer is selected, and the software will detect the device's catalog.

Port: If the cable is connected to a different serial or USB port, you can choose the port from the pull-down menu.

Status: The LabPro will be detected automatically. Click the Refresh Catalog button if a new LabPro has been connected.

Choose Lists to Import: The LabPro's catalog will be listed. Highlight the list(s) you wish to import into the current page and click OK.

See Also:

How To/Importing Data from a TI Calculator

How To/Importing Data from a LabPro/CBL (using TI-Graph Link cable)

How To/Importing Data from a LabPro (using serial or USB cable)

Import Text


Text

 Import Text

Use this feature to import data saved with the Export Text menu item or files created and saved from several other formats (e.g. Excel). The file must be in the tab-delimited text format used by Export Text (a .txt, .TEXT, .dat or .scv extension). Data are imported only into the latest data columns. You can also use this feature to import data prepared or collected in another program into Graphical Analysis. Several different formats are supported and are automatically detected.

Supported formats are:

  • Data exported as text from Logger Pro (or from this program GA3).
  • The "Data" section of Graphical Analysis for Windows 2.1 files. (not exported as text)
  • Data exported as text from Graphical Analysis 2 for Macintosh.
  • Generic tab or comma-separated data. Data can be strings or numbers.

Note:

If a word processing program is used to prepare data in any of these formats the file must be saved as text.

Each text file created in Graphical Analysis file has a specific structure that includes a time stamp, data column names, short names, units, and data. If you make changes to the exported file, be sure to preserve the structure. After choosing this option, select the appropriate file name in the Open File dialog.

See Also:

Importing Data From Other Applications and Old Versions of Graphical Analysis

Import from TI calculator or LabPro/CBL


 Installation

Loading Graphical Analysis onto your hard drive

To install Graphical Analysis on a computer running Windows 95/98/2000/ME/NT/XP, follow these steps:

  • Place the Graphical Analysis CD in the CD-ROM drive of your computer.
  • If you have Autorun enabled, the installation will launch automatically; otherwise choose Choose Settings/Control Panel from the Start menu. Double click on Add/Remove Programs. Click on the Install button in the resulting dialog box.
  • The Graphical Analysis installer will launch, and a series of dialog boxes will step you through the installation. You will be given the opportunity to either accept the default directory or enter a different directory.

To install Graphical Analysis on a computer running MacOS 8.x, MacOS 9.x, MacOS X., follow these steps:

  • Place the Graphical Analysis CD in the CD-ROM drive of your computer.
  • Double-click on the Install Graphical Analysis icon and follow the directions.

Next Step: Fast Start


 Integral Options

Double-click on the Integral helper object to call up the Integral Options dialog box. Here you can change the appearance, including font, color, and displayed precision.

See Also:

How To/ Integrating a Set of Data


How to Import from a LabPro via Serial

 Import Data from a LabPro with a Serial or USB Cable

This menu item is used to retrieve the data from the LabPro data collection interface. If you have the interface attached to the computer (via a serial or USB cable) you can transfer data lists directly from the interface. Those data lists will be from the most recent data collection run. The data will be added to a data column, graphed on the screen, and ready for further analysis. Saved (or archived) experiments in LabPro can also be imported.

Note: This function is useful for interfaces which have been used for remote data collection. Graphical Analysis cannot be used to initiate data collection.

The procedure for importing is:

1. Connect the serial cable to a free serial or USB port of the computer and to the LabPro.

2. Make certain that the LabPro has power.

3. With Graphical Analysis running, pull down the File menu and choose Import From -> LabPro... This dialog box should appear.

If you want to import saved experiments, check the box next to Scan for Saved Experiments to get a listing of archived
experiments in LabPro.

4. Graphical Analysis will identify your LabPro and display the data within.

5. Highlight the lists and/or saved experiments you want to import.

6. Click OK. The lists or saved experiments will be assigned to a Data Table.

Click the Refresh Catalog button if you have connected a new interface to the computer.

Port/Cable: It is important to correctly identify the port and type of cable being used so that Graphical Analysis can successfully communicate with the LabPro. If
the cable is connected to a different serial or USB port, you can choose the port from the pull-down menu.

Status: The LabPro will be detected automatically. Click the Refresh Catalog button if a new calculator has been connected.

Choose Lists to Import: The LabPro catalog will be listed. Highlight the list(s) you wish to import into the current page and click OK.

Troubleshooting Tips:

Make certain that the cable ends are firmly attached to the computer and LabPro.
The LabPro needs power (batteries or AC adapter).
If you are using a serial port, make sure that the port is working and not tied up by another application (e.g. Palm Pilot).

Note: Choosing Import will terminate the ongoing LabPro data collection

See Also:

How To/Import from TI graphing calculator

How To/Import from LabPro/CBL (using TI-Graph Link cable)

How To/Import Text

How To/Importing Data from Other Applications and old Versions of Graphical Analysis


 Legend Options

Double-click on the legend to call up the Legend Options dialog box. Here you can change the Legend's font.


 Linear Fit Options

Double-click on the Linear Fit helper object to call up the Linear Fit Options dialog box. Here you can change the appearance, including font, color, displayed
precision, and standard deviation.

See Also:

How To/Linear Regression


 Copying Data to Microsoft Word

If you are writing a lab report or other document in Microsoft Word, there are a couple of ways to copy data from Graphical Analysis into a Word file. The following directions apply to Word.

Copy and Paste:

1. The data must be visible in a data table in Graphical Analysis.
2. Select the data you want to copy into Word. You can only copy the columns and rows that you select. If you want to copy the whole data table, click the table to select it, then choose Select All from the Edit menu.
3. Select Copy from the Edit menu to copy the data to the clipboard.
4. If the receiving document is already open, switch to it and move the cursor to the appropriate location. If not, load Microsoft Word and the receiving document.
5. In Word select Paste from the Edit menu or click on the Paste button.

Export as Text:

1. In Graphical Analysis, select Export as Text from the File menu.
2. Save the file with the name of your choise. Notice that it will be saved with a .txt extension.
3. Launch Microsoft Word.
4. Choose Open from the File menu, and select your saved file with the .txt extension.

Notice that this file will include the data as well as formatting information, including column titles, date, etc..

For more information on the table features of Microsoft Word, see the documentation for Word.


 Create Column in Data Set

The Create Column in Data Set option will create a column in the data table holding the y-values of the fitted function at each value for the x-axis.You can scroll down and add the new column to a new data set. You will be prompted to enter a name.

See Also:

Curve Fit


 New FFT Graph

This command creates a new FFT graph to your page.

Data will not be automatically assigned to the graph. Double-click on the graph or choose Additional Graph Options--> FFT Graph Options from the Options Menu to edit the new graph.


 New Histogram

This command adds a new histogram to your page.

Data will not be automatically assigned to the graph. Double-click on the graph or choose Additional Graph Options--> Histogram Options from the Options Menu to edit the new graph.


 New Table

This command creates a new table on your page.

Data will not be automatically assigned to the table, unless a table already exists in the page. In that case, it will mimic the data plotted on the previous graph. Double-click on the table or choose Table Options from the Options Menu to edit the new table. You can also add columns by dragging them from the Data Browser.

See Also:

Changing Which Columns are Displayed on a Graph

How To/Selecting and Editing Cells


Options Tab(New Manual Column)

 Options Tab (New Manual Column)

You can set or edit the appearance for a defined column using the Options Tab.

Point Protectors: mark every Nth point with a different style point protector.

Color: Assigns a color to the title and data.

Error Bar Calculations: This can also be adjusted from the Column Options Window. In this style of 2D range plot, the ranges or error bars are defined by the raw values in the selected variables. The midpoints are represented by point markers.

Displayed Precision: Selects the displayed precision of data table entries in terms of significant figures or decimal places. Enter a number from 0 to 5 in the associated box for either significant figures or decimal places.

See Also:

Data Sets

Column Definition


 Options Tab (New Calculated Column)

You can set or edit the appearance for a defined column using the Options Tab.

Point Protectors: mark every Nth point with a different style point protector.

Color: Assigns a color to the title and data.

Error Bar Calculations: This can also be adjusted from the Column Options Window. In this style of 2D Range Plot, the ranges or error bars are defined by the raw values in the selected variables. The midpoints are represented by point markers.

Displayed Precision: Selects the displayed precision of data table entries in terms of significant figures or decimal places. Enter a number from 0 to 5 in the associated box for either significant figures or decimal places.

See Also:

Data Sets

Column Definition


Options Tab (Column Options)

 Column Options (Options Tab)

You can set or edit the appearance for a defined column in the Options Tab.

Point Protectors: mark every Nth point with a different style point protector.

Color: Assigns a color to the graph background.

Error Bar Calculations: Error Bars are activated in the Graph Options Tab. In this style of 2D Range Plot, the ranges or error bars are defined by the raw values in the selected variables. The midpoints are represented by point markers.

Displayed Precision: Selects the displayed precision of data table entries in terms of significant figures or decimal places. Enter a number from 0 to 5 in the associated box for either significant figures or decimal places.

See Also:

Column Definitions

How To/Adding Error Bars


 Oval Options
The Oval Options Window can be accessed by either double-clicking on the oval object or from the Options Menu.

Edge Options allows you to change the appearance of the oval object, including the thickness and color. Use Interior Options to change the color.

See also:

Oval


 Picture Options

The Picture Options dialog can be accessed by either double-clicking on the picture object or from the Options Menu.

Here you can browse your computer for a new picture to insert.

See Also:

Picture


Select Port

 Select Port Dialog Box

In this dialog box, you can select the port where the TI-GRAPH LINK cable is connected. Select a radial button to choose the port and click OK. If a radial button is grayed, the corresponding serial port is not available, either because it is not installed in the computer, the mouse is connected to it, or another Windows application is using it.


 Print Graph

Prints only the graph/histograph,FFT objects from your working page. More than one graph can be printed simultaneously.

See Also:

How To/Printing Graphs and Data

Print Data Table

Printing Options

Print


 Rectangle Options

The Rectangle Options Window can be accessed by either double-clicking on the rectangle object or from the Options Menu.

Edge Options allows you to change the appearance of the rectangle object, including the thickness and color. Use Interior Options to change the color.

See also:

Rectangle


 Statistics Options

Double-click on the Statistics helper object to call up the Statistics Options dialog box. Here you can change the appearance, including font, color, and displayed precision.


Calculators

 TI Graphing Calculator

The current list of supported TI Graphing Calculators is TI-73, TI-82, TI-83, TI-83 Plus, TI-85, TI-86, TI-89, TI-92 or TI-92 Plus.


 System Requirements

Windows requirements:

  • Windows 951, Windows 982, Windows 2000, Windows NT 4.x3, Windows ME, and Windows XP.
  • 133 MHz Pentium processor or better.
  • 16MB physical RAM plus free hard disk space (for virtual memory).
  • Color monitor (>=256 colors)
Macintosh requirements:
  • MacOS 8.x, MacOS 9.x, MacOS X.
  • 66 MHz PowerPC processor or better.

    • 16MB machine RAM, 8MB for the application partition.
Next Step: Installation

1The minimum Windows 95 system is Service Pack 1 plus the year 2000 patch.

Your version of Windows 95 can be determined from http://support.microsoft.com/default.aspx?scid=kb;EN-US;q158238

You can download the OSP 1 update from http://www.microsoft.com/windows95/downloads/contents/WURecommended/S_WUServicePacks/W95SvcPack1/Default.asp

You can download the Year 2000 patch from http://www.microsoft.com/windows95/downloads/contents/WURecommended/S_WUFeatured/win95y2k/Default.asp

2 We recommend setting the minimum version of Windows 98 to be the second edition - Windows 98SE.

3Windows NT4.0 should be at Service Pack 3 or higher - Windows NT 4.0 SP3. The user can get the service pack level of their machine by running "winver" from the Start button | Run dialog box.


TI Device

 Import from TI Device

Use this command to receive data stored in a Texas Instruments Graphing Calculator, LabPro or CBL 2. A TI-GRAPH LINK cable is required.

Detailed instructions for importing data from a TI Graphing Calculator.

Initially, the first available port in your computer is selected, and the software will detect the device's catalog.

Port: If the TI-GRAPH LINK cable is connected to a different serial or USB port, you can choose the port from the pull-down menu.

Status: The calculator model or interface will be detected automatically. Click the Refresh Catalog button if a new calculator has been connected.

Choose Lists to Import: The calculator's catalog will be listed. Highlight the list(s) you wish to import into the current page and click OK.

Shortcut:

Toolbar:

See Also:

How To/Importing Data from a TI Calculator

How To/Importing Data from a LabPro/CBL (using TI-Graph Link cable)

How To/Importing Data from a LabPro (using serial or USB cable)

Import Text


 Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in Graphical Analysis.

Some of the buttons will appear and disappear depending on the program state.

Click To
Create a new document. If you have made changes to the previous document, you will be prompted to save it before creating a new one.
Open an existing document. Graphical Analysis displays the Open dialog box, in which you can locate and open the desired file.
Save the active document or template with its current name. If you have not named the document, Graphical Analysis displays the Save As dialog box.
Print the screen as displayed on your monitor.
Scroll down and choose which page in a document you want to view.
Bring up the previous Page (if any) of the current document. Only enabled if a previous page exists.
Bring up the next Page (if any) of the current document. Only enabled if a next page exists.
Bring up the Data Browser Window. This control window can be opened to view all data available to the current document.
Import data from Texas Instruments calculator.
Automatically scale the graph to include all data points.
Zoom in to the selected region of the graph.
Zoom out by a factor of two in both x- and y-directions.
Enter Examine mode.
Enter Tangent Line mode.
Integrate selected data range.
Calculate statistics on selected data.
Make a linear fit to the selected range.
Perform general curve fits.


 X-Axis Options

The Axis Options dialog allows you to select which column is plotted and how it is scaled.

Scaling

The scaling options control how the limits of the graph are set. There are three scaling options available:

Autoscale: The software will choose an appropriate range for the axes, based on the data being plotted.
From 0: Similar to Autoscale except that one of the endpoints of the axes will be at zero and the other will be set based on the data range.
Manual: In this mode, you can choose both endpoints of the axis. Enter the minimum and maximum values to plot in the text boxes under this option.

Right: Manually enter the maximum value you wish to show on your graph (disabled if autoscaling is chosen).
Left: Manually enter the minimum value you wish to show on your graph (disabled if autoscaling is chosen).

To quickly change the axis range, click on an end point value of the axis in the graph window. A box will appear allowing you to enter a new value.

Note: You can reverse the direction of the y axis so that more negative numbers are higher on the y-axis. If you type in a number as the axis maximum which is less
than the axis minimum, the graph will draw correctly. If you set a reversed axis range as mentioned above and the axis scale is set to manual, it will stay that way.
Zooming and unzooming preserve the data direction. If you set a reversed axis range as mentioned above and autoscale, the reversal is not preserved. Autoscale always
used the standard direction of data (min is min and max is max). If a column's data is all negative, and autoscale-from-zero is set for the axis, the axis maximum will be
set to zero.

See Also:

Y-Axis Options

Axis Numbers Hotspot


 Axes Options Tab

The Axes Options tab allows you to select which columns are plotted and how they are scaled.

  • You can also bring up the options by clicking on the graph's axis:
Y-Axis: | X-Axis Pulldown Menu:
The columns with checked boxes will be plotted. | Select which column is to be plotted on the X-axis.

The Axes Options tab gives you the following options:

Scaling

The scaling options control how the limits of the graph are set. There are three scaling options available:
Autoscale: The software will choose an appropriate range for the axes, based on the data being plotted.
From 0: Similar to Autoscale except that one of the endpoints of the axes will be at zero and the other will be set based on the data range.
Manual: In this mode, you can choose both endpoints of the axis. Enter the minimum and maximum values to plot in the text boxes under this option.
Top/Right: Manually enter the maximum value you wish to show on your graph (disabled if autoscaling is chosen).
Bottom/Left: Manually enter the minimum value you wish to show on your graph (disabled if autoscaling is chosen).

To quickly change the axis range, click on an end point value of the axis in the graph window. A box will appear allowing you to enter a new value.

Note: You can reverse the direction of the y axis so that more negative numbers are higher on the y-axis. If you type in a number as the axis maximum which is less than the axis minimum, the graph will draw correctly. If you set a reversed axis range as mentioned above and the axis scale is set to manual, it will stay that way. Zooming and unzooming preserve the data direction. If you set a reversed axis range as mentioned above and autoscale, the reversal is not preserved. Autoscale always uses the standard direction of data (min is min and max is max). If a column's data is all negative, and autoscale-from-zero is set for the axis, the axis maximum will be set to zero.

Label:

With this dialog box, you can change the name of the y-axis label.

Click OK to make your selections take effect.

See also:

Graph Options Tab


 Y-Axis Options

The Axis Options allows you to select which columns are plotted and how they are scaled.

The Axis Options dialog gives you the following options:

Scaling

The scaling options control how the limits of the graph are set. There are three scaling options available:

Autoscale: The software will choose an appropriate range for the axes, based on the data being plotted.
From 0: Similar to Autoscale except that one of the endpoints of the axes will be at zero and the other will be set based on the data range.
Manual: In this mode, you can choose both endpoints of the axis. Enter the minimum and maximum values to plot in the text boxes under this option.

Top: Manually enter the maximum value you wish to show on your graph (disabled if autoscaling is chosen).
Bottom: Manually enter the minimum value you wish to show on your graph (disabled if autoscaling is chosen).

To quickly change the axis range, click on an end point value of the axis in the graph window. A box will appear allowing you to enter a new value.

Note: You can reverse the direction of the y axis so that more negative numbers are higher on the y-axis. If you type in a number as the axis maximum which is less than the axis minimum, the graph will draw correctly. If you set a reversed axis range as mentioned above and the axis scale is set to manual, it will stay that way. Zooming and unzooming preserve the data direction. If you set a reversed axis range as mentioned above and autoscale, the reversal is not preserved. Autoscale always used the standard direction of data (min is min and max is max). If a column's data is all negative, and autoscale-from-zero is set for the axis, the axis maximum will be set to zero.

Label:

With this dialog box, you can change the name of the y-axis label.

Click OK to make your selections take effect.

See Also:

X-Axis Options

Axis Numbers Hotspot